'<script>
  Option Explicit
  Dim objAktiv2, objPreklad1, objPreklad2
  Dim objKniha1, objKniha2, objKapitola1, objKapitola2, objVers1, objVers2
  Dim strTitul
  strTitul = "Navigator"
  
  Sub Window_OnLoad
    If objPanel.Document.ReadyState = "complete" Then
      With objPanel
        Document.Title = .pop22
        celKniha.InnerHTML = .popKniha
        celKapitola.InnerHTML = .popKapitola
        celVers.InnerHTML = .popVers
        VybratZkratku(.strVychoziPreklad)
        For Each objPrvek In Document.All.Tags("iframe")
          objPrvek.Style.Width = objPrvek.OffsetWidth + .lngPosuvnik
          objPrvek.Style.Height = (19 * objPanel.rowNabidka.OffsetHeight) + 4
        Next
      End With
      Frames("fraKnihaOd").Document.Body.Style.Color = objTop.txtBarvaA.Value
      Frames("fraKapitolaOd").Document.Body.Style.Color = objTop.txtBarvaB.Value
      Frames("fraVersOd").Document.Body.Style.Color = objTop.txtBarvaC.Value
      NastavitMezeru
      NaplnitSeznamKnih("Od")
      strKnihaOd = objTop.txtNavigatorKniha.Value
      strKapitolaOd = objTop.txtNavigatorKapitola.Value
      strVersOd = objTop.txtNavigatorVers.Value
      NastavitNavigator
      cmdSynchro.Blur
      cmdSynchro.Style.Width = Round((cmdSynchro.ParentElement.OffsetWidth - cmdZavrit.OffsetWidth) / 2)
      cmdSynchro.Style.Height = cmdZavrit.OffsetHeight
      cmdPut.Style.Width = cmdPut.ParentElement.OffsetWidth - cmdSynchro.OffsetWidth - cmdZavrit.OffsetWidth
      cmdPut.Style.Height = cmdZavrit.OffsetHeight
      If Window.Name = "" Then
        cmdPut.InnerText = objPanel.popVsadit
        NastavitDialog
      Else
        cmdPut.InnerText = objPanel.popVysadit
        Parent.ZmenitRozmery
      End If
    End If
  End Sub
  
  Sub Window_OnBeforeUnload
    On Error Resume Next
    If Window.Name = "" Then
      With objTop
        .txtNavigator.Value = ""
        .txtNavigatorTop.Value = Window.ScreenTop - lngOkrajTop
        .txtNavigatorLeft.Value = Window.ScreenLeft - lngOkrajLeft
      End With
    End If
  End Sub
  
  Sub Document_OnClick
    objPanel.SkrytMenu
    objPanel.VypnoutMenu
  End Sub
  
  Function PotvrditVyber
    UlozitNastaveni
    DefinovatObjekty
    If objKniha1.Value = strKnihaOd And objKapitola1.Value = strKapitolaOd Then
      objVers1.Value = strVersOd
      objPreklad1.Document.Anchors(objVers1.Value - 1).ScrollIntoView()
      objPanel.ZapsatDoHistorieVersu(Right(objPreklad1.Name, 1))
      If objAktiv2.Value = "1" Then
        objVers2.Value = objVers1.Value
        objPreklad2.Document.Anchors(objVers2.Value - 1).ScrollIntoView()
        objPanel.ZapsatDoHistorieVersu(Right(objPreklad2.Name, 1))
      End If
    Else
      objKniha1.Value = strKnihaOd
      objKapitola1.Value = strKapitolaOd
      objVers1.Value = strVersOd
      If objPreklad1.Name = "fraPreklad1" Then
        objPanel.NariditPreklad("1")
      Else objPanel.NariditPreklad("2")
      End If
    End If
    objPreklad1.Focus
    If objAktiv2.Value = "1" And Not(objKniha2.Value = strKnihaOd And objKapitola2.Value = strKapitolaOd) Then
      objKniha2.Value = strKnihaOd
      objKapitola2.Value = strKapitolaOd
      objVers2.Value = strVersOd
      If objPreklad2.Name = "fraPreklad1" Then
        objPanel.NariditPreklad("1")
      Else objPanel.NariditPreklad("2")
      End If
    End If
  End Function
  
  Function DefinovatObjekty
    With objTop
      Select Case "1"
      Case .txtAktiv1.Value
        Set objAktiv2 = .txtAktiv2
        Set objKniha1 = .txtKniha1
        Set objKniha2 = .txtKniha2
        Set objKapitola1 = .txtKapitola1
        Set objKapitola2 = .txtKapitola2
        Set objVers1 = .txtVers1
        Set objVers2 = .txtVers2
        Set objPreklad1 = objPanel.Frames("fraPreklad1")
        Set objPreklad2 = objPanel.Frames("fraPreklad2")
      Case .txtAktiv2.Value
        Set objAktiv2 = .txtAktiv1
        Set objKniha1 = .txtKniha2
        Set objKniha2 = .txtKniha1
        Set objKapitola1 = .txtKapitola2
        Set objKapitola2 = .txtKapitola1
        Set objVers1 = .txtVers2
        Set objVers2 = .txtVers1
        Set objPreklad1 = objPanel.Frames("fraPreklad2")
        Set objPreklad2 = objPanel.Frames("fraPreklad1")
      End Select
    End With
  End Function
  
  Sub cmdSynchro_OnClick
    cmdSynchro.Blur
    DefinovatObjekty
    If strKnihaOd = objKniha1.Value And strKapitolaOd = objKapitola1.Value Then
      VersOd
    ElseIf strKnihaOd = objKniha1.Value Then
      KapitolaOd
      VersOd
    Else
      Frames("fraKnihaOd").Document.All.Tags("div")(objKniha1.Value - 1).ScrollIntoView
      Frames("fraKnihaOd").Document.All.Tags("div")(objKniha1.Value - 1).Click
      KapitolaOd
      VersOd
    End If
    UlozitNastaveni
  End Sub
  
  Sub cmdZavrit_OnClick
    If Window.Name = "" Then
      Close
    Else
      objTop.txtNavigatorVsadit.Value = "2"
      objPanel.ZmenitRozmery
    End If
  End Sub
  
  Sub cmdPut_OnClick
    With objPanel
      If Window.Name = "" Then
        objTop.txtNavigator.Value = ""
        objTop.txtNavigatorVsadit.Value = "1"
        With .Frames("fraNavigator")
          .objKniha.All.Tags("div")(.strKnihaOd - 1).Style.Background = ""
          .objKniha.All.Tags("div")(.strKnihaOd - 1).Style.Color = ""
          .strKnihaOd = strKnihaOd
          .strKapitolaOd = strKapitolaOd
          .strVersOd = strVersOd
        End With
        .Frames("fraNavigator").NastavitNavigator
        .ZmenitRozmery
        UlozitNastaveni
        Close
      Else
        objTop.txtNavigatorVsadit.Value = ""
        .ZmenitRozmery
        .cmdNavigator.Click
      End If
    End With
  End Sub
  
  Function NastavitNavigator
    objKniha.All.Tags("div")(strKnihaOd - 1).ScrollIntoView
    VybratKnihu("Od")
    objKapitola.All.Tags("div")(strKapitolaOd - 1).ScrollIntoView
    VybratKapitolu("Od")
    objVers.All.Tags("div")(strVersOd - 1).ScrollIntoView
    VybratVers("Od")
  End Function
  
  Function UlozitNastaveni
    With objTop
      .txtNavigatorKniha.Value = strKnihaOd
      .txtNavigatorKapitola.Value = strKapitolaOd
      .txtNavigatorVers.Value = strVersOd
    End With
  End Function
    
  Function VersOd
    Frames("fraVersOd").Document.All.Tags("div")(objVers1.Value - 1).ScrollIntoView
    Frames("fraVersOd").Document.All.Tags("div")(objVers1.Value - 1).Click
  End Function
  
  Function KapitolaOd
    Frames("fraKapitolaOd").Document.All.Tags("div")(objKapitola1.Value - 1).ScrollIntoView
    Frames("fraKapitolaOd").Document.All.Tags("div")(objKapitola1.Value - 1).Click
  End Function
  
