'<script>
  Option Explicit
  Dim popViz, popKontext, popEmail, popProfil, popCelkem
  Dim popVersu, popKnih, popOdstavcu, popDokumentu, popVyrazy
  
  If Parent.Document.ReadyState = "complete" Then
    With Top
      Select Case .txtJazyk.Value
      Case "cz"
        popViz = "Viz dokument"
        popKontext = "Kontext"
        popEmail = "Poslat e-mail"
        popProfil = "Viz profil"
        popCelkem = "Celkem nalezeno"
        popVersu = "Ver"
        popKnih = "Knih"
        popOdstavcu = "Odstavc"
        popDokumentu = "Dokument"
        popVyrazy = "Hledan vrazy"
      Case "sk"
        popViz = "Pozri dokument"
        popKontext = "Kontext"
        popEmail = "Posla e-mail"
        popProfil = "Pozri profil"
        popCelkem = "Celkom njden"
        popVersu = "Verov"
        popKnih = "Knh"
        popOdstavcu = "Odsekov"
        popDokumentu = "Dokumentov"
        popVyrazy = "Hadan vrazy"
      Case "en"
        popViz = "See the document"
        popKontext = "Context"
        popEmail = "Send an e-mail"
        popProfil = "See the profile"
        popCelkem = "Total found"
        popVersu = "Verses"
        popKnih = "Books"
        popOdstavcu = "Paragraphs"
        popDokumentu = "Documents"
        popVyrazy = "Searched words"
      End Select
      If Window.Name <> "fraDokumenty" Then
        Document.Write _
          "<style type='text/css'>" & _
          "body {font-family:" & .txtRodinaPismaOkna.Value & ";font-size:" & .txtVelikostPismaOkna.Value & "}" & _
          "sup {color:" & .txtBarvaD.Value & "}" & _
          "b {color:" & .txtBarvaZ.Value & "}" & _
          ".panel {font-family:" & .txtRodinaPismaPanelu.Value & "}" & _
          "</style>"
      End If
    End With
  End If
  
  Sub Window_OnHelp
    Parent.cmdPruvodce.Click
  End Sub
  
  Sub Window_OnResize
    If Document.ReadyState = "complete" Then
      If Window.Name = "fraVysledky" Then
        If Document.Links.Length > 0 Then ZmenitPrazdny
      Else ZmenitPrazdny
      End If
      Select Case Window.Name
      Case "fraPreklad1" Document.Anchors(Top.txtVers1.Value - 1).ScrollIntoView
      Case "fraPreklad2" Document.Anchors(Top.txtVers2.Value - 1).ScrollIntoView
      Case "fraDokumenty" If Top.txtCisloOdstavce.Value <> "" Then Document.Anchors("odst" & Top.txtCisloOdstavce.Value).ScrollIntoView
      Case "fraVysledky" If objIndexOdkazu.Value <> "" Then Document.Links(0 + objIndexOdkazu.Value).ScrollIntoView
      End Select
    End If
  End Sub

  Sub Document_OnMouseOver
    With Window.Event.SrcElement
      If .TagName = "A" Then
        If Top.txtBezPopisku.Value = "1" Then
          .Title = ""
        Else
          Dim lngZacatek, lngKonec, strRetezec
          lngZacatek = InStr(.OuterHTML, "Kontext(")
          If lngZacatek > 0 Then
            lngKonec = InStr(lngZacatek, .OuterHTML, ")")
            strRetezec = Mid(.OuterHTML, lngZacatek, lngKonec - lngZacatek)
            If InStr(strRetezec, ".") > 0 Then .Title = popViz
            If InStr(strRetezec, "-") > 0 Then .Title = "<< " & popKontext
          End If
        End If
      End If
      If .TagName = "SUP" And Window.Name <> "fraDokumenty" Then
        .Style.TextDecoration = "underline"
        If Top.txtBezHesla.Value = "" Then
          Parent.strHeslo = .InnerText
          With Parent
            .strOknoHesla = Window.Name
            .lngHesloX = Window.Event.ScreenX
            .lngHesloY = Window.Event.ScreenY
            .lngOdsazeni = 2 * Left(Top.txtVelikostPismaOkna.Value, Len(Top.txtVelikostPismaOkna.Value) - 2)
            .Document.All.fraHeslo.Style.Width = Parent.cboA.OffsetWidth
            .Document.All.fraHeslo.Src = "lexikon.htm"
          End With
        End If
      End If
    End With
  End Sub
  
  Sub Document_OnMouseOut
    If Window.Event.SrcElement.TagName = "SUP" And Window.Name <> "fraDokumenty" Then
      Window.Event.SrcElement.Style.TextDecoration = ""
      If Top.txtBezHesla.Value = "" Then Parent.SkrytHeslo
    End If
  End Sub

  Sub Document_OnMouseUp
    Parent.SkrytMenu
    Parent.VypnoutMenu
  End Sub

  Sub Document_OnDrag
    Window.Event.ReturnValue = False
  End Sub
  
  Sub Document_OnClick
    Dim strText
    With Window.Event.SrcElement
      If .TagName = "SUP" And Window.Name <> "fraDokumenty" Then Parent.VizLexikon(.InnerText)
    End With
  End Sub
  
  Function ZmenitPrazdny
    Document.Body.Style.MarginBottom = Document.Body.ClientHeight - (3 * Parent.lngOkraj)
  End Function

