'<script>
  Option Explicit
  Dim arrRodinaPisma, arrVelikostPisma
  Dim strVychoziRodinaPismaPanelu, strVychoziRodinaPismaOkna, strVychoziVelikostPisma
  Dim strVychoziBarvaA, strVychoziBarvaB, strVychoziBarvaC, strVychoziBarvaD, strVychoziBarvaZ
  Dim strBezpatkove, strPatkove, strNeproporcialni, strVychozi, strBezPopisku
  Dim strMinVelikostPisma, strMaxVelikostPisma
  
  arrRodinaPisma = Array(_
  "Sans-serif", _
  "Serif", _
  "Monospace", _
  "Arial", _
  "Arial Black", _
  "Comic Sans MS", _
  "Courier New", _
  "Franklin Gothic Medium", _
  "Georgia", _
  "Impact", _
  "Lucida Console", _
  "Lucida Sans Unicode", _
  "Microsoft Sans Serif", _
  "Palatino Linotype", _
  "Sylfaen", _
  "Tahoma", _
  "Times New Roman", _
  "Trebuchet MS", _
  "Verdana", _
  "")

  arrVelikostPisma = Array(_
  "8pt", _
  "9pt", _
  "10pt", _
  "11pt", _
  "12pt", _
  "13pt", _
  "14pt", _
  "15pt", _
  "16pt", _
  "17pt", _
  "18pt", _
  "19pt", _
  "20pt", _
  "21pt", _
  "22pt", _
  "")

  Select Case objTop.txtJazyk.Value
  Case "cz" strUkazkaPismaOkna = "Na potku stvoil Bh nebe a zemi."
  Case "sk" strUkazkaPismaOkna = "Na poiatku stvoril Bh nebesia a zem."
  Case "en" strUkazkaPismaOkna = "In the beginning God created the heaven and the earth."
  End Select
  With objPanel
    strBezpatkove = .popBezpatkove
    strPatkove = .popPatkove
    strNeproporcialni = .popNeproporcialni
    strVychozi = .popVychozi
    strBezPopisku = .Top.txtBezPopisku.Value
  End With
  
  Function NaplnitPismo(Kotva)
    Dim objRodinaPisma, objVelikostPisma, objUkazkaPisma
    Dim strRodinaPisma, strVychoziRodinaPisma, strRodinaPismaValue, strVelikostPismaValue
    Dim lngIndex
    Select Case Kotva
    Case "Panelu"
      Set objRodinaPisma = cboRodinaPismaPanelu
      Set objVelikostPisma = cboVelikostPismaPanelu
      Set objUkazkaPisma = txtUkazkaPismaPanelu
      strRodinaPismaValue = objTop.txtRodinaPismaPanelu.Value
      strVelikostPismaValue = objTop.txtVelikostPismaPanelu.Value
      strVychoziRodinaPisma = objPanel.strVychoziRodinaPismaPanelu
    Case "Okna"
      Set objRodinaPisma = cboRodinaPismaOkna
      Set objVelikostPisma = cboVelikostPismaOkna
      Set objUkazkaPisma = txtUkazkaPismaOkna
      strRodinaPismaValue = objTop.txtRodinaPismaOkna.Value
      strVelikostPismaValue = objTop.txtVelikostPismaOkna.Value
      If strTitul = "Tiskarna" Then
        strRodinaPismaValue = objTop.txtRodinaPismaTisku.Value
        strVelikostPismaValue = objTop.txtVelikostPismaTisku.Value
      End If
      strVychoziRodinaPisma = objPanel.strVychoziRodinaPismaOkna
    End Select
    For lngIndex = 0 To UBound(arrRodinaPisma) - 1
      objRodinaPisma.Add Document.CreateElement("OPTION")
      objRodinaPisma.Options(lngIndex).Value = arrRodinaPisma(lngIndex)
      Select Case arrRodinaPisma(lngIndex)
        Case "Sans-serif" strRodinaPisma = strBezpatkove
        Case "Serif" strRodinaPisma = strPatkove
        Case "Monospace" strRodinaPisma = strNeproporcialni
      Case Else strRodinaPisma = arrRodinaPisma(lngIndex)
      End Select
      objRodinaPisma.Options(lngIndex).Text = strRodinaPisma
      If arrRodinaPisma(lngIndex) = strVychoziRodinaPisma Then _
        objRodinaPisma.Options(lngIndex).Text = objRodinaPisma.Options(lngIndex).Text & "  (" & LCase(strVychozi) & ")"
    Next
    For lngIndex = 0 To UBound(arrVelikostPisma) - 1
      objVelikostPisma.Add Document.CreateElement("OPTION")
      objVelikostPisma.Options(lngIndex).Value = arrVelikostPisma(lngIndex)
      objVelikostPisma.Options(lngIndex).Text = Left(arrVelikostPisma(lngIndex), Len(arrVelikostPisma(lngIndex)) - 2)
      If arrVelikostPisma(lngIndex) = objPanel.strVychoziVelikostPisma Then _
        objVelikostPisma.Options(lngIndex).Text = objVelikostPisma.Options(lngIndex).Text & "  (" & LCase(strVychozi) & ")"
    Next
    objRodinaPisma.Value = strRodinaPismaValue
    objVelikostPisma.Value = strVelikostPismaValue
    objUkazkaPisma.Style.FontSize = objVelikostPisma.Value
  End Function
  
  Function NastavitPismo(strRodinaVelikost, strPaneluOkna, strVzadVpred)
    Dim objSeznam, objVzad, objVpred
    Dim arrSeznam()
    Dim lngIndex
    Select Case strRodinaVelikost
    Case "Rodina"
      Select Case strPaneluOkna
      Case "Panelu"
        Set objSeznam = cboRodinaPismaPanelu
        Set objVzad = cmdRodinaPismaPaneluVzad
        Set objVpred = cmdRodinaPismaPaneluVpred
      Case "Okna"
        Set objSeznam = cboRodinaPismaOkna
        Set objVzad = cmdRodinaPismaOknaVzad
        Set objVpred = cmdRodinaPismaOknaVpred
      End Select
      ReDim arrSeznam(UBound(arrRodinaPisma))
      For lngIndex = 0 To UBound(arrRodinaPisma) - 1
        arrSeznam(lngIndex) = arrRodinaPisma(lngIndex)
      Next
    Case "Velikost"
      Select Case strPaneluOkna
      Case "Panelu"
        Set objSeznam = cboVelikostPismaPanelu
        Set objVzad = cmdVelikostPismaPaneluVzad
        Set objVpred = cmdVelikostPismaPaneluVpred
      Case "Okna"
        Set objSeznam = cboVelikostPismaOkna
        Set objVzad = cmdVelikostPismaOknaVzad
        Set objVpred = cmdVelikostPismaOknaVpred
      End Select
      ReDim arrSeznam(UBound(arrVelikostPisma))
      For lngIndex = 0 To UBound(arrVelikostPisma) - 1
        arrSeznam(lngIndex) = arrVelikostPisma(lngIndex)
      Next
    End Select
    Select Case strVzadVpred
    Case "Vzad"
      For lngIndex = 0 To UBound(arrSeznam) - 1
        If objSeznam.Value = arrSeznam(lngIndex) Then
          If lngIndex = 0 Then
            objSeznam.Value = arrSeznam(UBound(arrSeznam) - 1)
          Else objSeznam.Value = arrSeznam(lngIndex - 1)
          End If
          Exit For
        End If
      Next
    Case "Vpred"
      For lngIndex = 0 To UBound(arrSeznam) - 1
        If objSeznam.Value = arrSeznam(lngIndex) Then
          If lngIndex = UBound(arrSeznam) - 1 Then
            objSeznam.Value = arrSeznam(0)
          Else objSeznam.Value = arrSeznam(lngIndex + 1)
          End If
          Exit For
        End If
      Next
    End Select
    objSeznam.Blur
    Select Case strPaneluOkna
    Case "Panelu"
      txtUkazkaPismaPanelu.Style.FontFamily = cboRodinaPismaPanelu.Value
      txtUkazkaPismaPanelu.Style.FontSize = cboVelikostPismaPanelu.Value
    Case "Okna"
      txtUkazkaPismaOkna.Style.FontFamily = cboRodinaPismaOkna.Value
      txtUkazkaPismaOkna.Style.FontSize = cboVelikostPismaOkna.Value
    End Select
    If strBezPopisku = "1" Then
      objVzad.Title = ""
      objVpred.Title = ""
    Else
      For lngIndex = 0 To objSeznam.Length - 1
        If arrSeznam(lngIndex) = objSeznam.Value Then
          If lngIndex = 0 Then
            objVzad.Title = objSeznam.Options(objSeznam.Length - 1).Text
          Else objVzad.Title = objSeznam.Options(lngIndex - 1).Text
          End If
          If lngIndex = objSeznam.Length - 1 Then
            objVpred.Title = objSeznam.Options(0).Text
          Else objVpred.Title = objSeznam.Options(lngIndex + 1).Text
          End If
          Exit For
        End If
      Next
    End If
  End Function
  
  Sub cboRodinaPismaPanelu_OnChange
    NastavitPismo "Rodina", "Panelu", ""
  End Sub
  
  Sub cmdRodinaPismaPaneluVzad_OnClick
    NastavitPismo "Rodina", "Panelu", "Vzad"
  End Sub
  
  Sub cmdRodinaPismaPaneluVpred_OnClick
    NastavitPismo "Rodina", "Panelu", "Vpred"
  End Sub
  
  Sub cboVelikostPismaPanelu_OnChange
    NastavitPismo "Velikost", "Panelu", ""
  End Sub
  
  Sub cmdVelikostPismaPaneluVzad_OnClick
    NastavitPismo "Velikost", "Panelu", "Vzad"
  End Sub

  Sub cmdVelikostPismaPaneluVpred_OnClick
    NastavitPismo "Velikost", "Panelu", "Vpred"
  End Sub

  Sub cmdVychoziPismoPanelu_OnClick
    cmdVychoziPismoPanelu.Blur
    cboRodinaPismaPanelu.Value = objPanel.strVychoziRodinaPismaPanelu
    cboVelikostPismaPanelu.Value = objPanel.strVychoziVelikostPisma
    txtUkazkaPismaPanelu.Style.FontFamily = cboRodinaPismaPanelu.Value
    txtUkazkaPismaPanelu.Style.FontSize = cboVelikostPismaPanelu.Value
  End Sub
  
  Sub cboRodinaPismaOkna_OnChange
    NastavitPismo "Rodina", "Okna", ""
  End Sub
  
  Sub cmdRodinaPismaOknaVzad_OnClick
    NastavitPismo "Rodina", "Okna", "Vzad"
  End Sub
  
  Sub cmdRodinaPismaOknaVpred_OnClick
    NastavitPismo "Rodina", "Okna", "Vpred"
  End Sub
  
  Sub cboVelikostPismaOkna_OnChange
    NastavitPismo "Velikost", "Okna", ""
  End Sub
  
  Sub cmdVelikostPismaOknaVzad_OnClick
    NastavitPismo "Velikost", "Okna", "Vzad"
  End Sub

  Sub cmdVelikostPismaOknaVpred_OnClick
    NastavitPismo "Velikost", "Okna", "Vpred"
  End Sub

  Sub cmdVychoziPismoOkna_OnClick
    cmdVychoziPismoOkna.Blur
    cboRodinaPismaOkna.Value = objPanel.strVychoziRodinaPismaOkna
    cboVelikostPismaOkna.Value = objPanel.strVychoziVelikostPisma
    txtUkazkaPismaOkna.Style.FontFamily = cboRodinaPismaOkna.Value
    txtUkazkaPismaOkna.Style.FontSize = cboVelikostPismaOkna.Value
  End Sub
