'<script>
  Option Explicit
  Dim strTitul, strCestaZdroje, strCestaVychozi, strPreklad, strCisloProhledat
  Dim strCislaKnih, strVysledkyKnih, strCislaDokumentu, strVysledkyDokumentu
  Dim lngHledatOd, lngHledatDo, lngCitac

  strTitul = "Vyhledat"
  With DialogArguments
    If .strTitul = "Prohledavac" Then
      strCestaZdroje = .DialogArguments.Top.txtJazyk.Value & ".htm"
    Else
      strPreklad = .strPreklad
      strCestaZdroje = "../txt/" & strPreklad & "/" & strPreklad & ".txt"
      If strPreklad <> .DialogArguments.strVychoziPreklad Then
        strCestaVychozi = "../txt/" & strPreklad & "/" & .DialogArguments.strVychoziPreklad & ".txt"
      Else strCestaVychozi = "../txt/wbt/kjv.txt"
      End If
    End If
  End With
  
  Sub Window_OnLoad
    With objPanel
      Document.Title = .pop2318
      If DialogArguments.strTitul = "Prohledavac" Then
        celProhledavaSe.InnerHTML = .popProhledavaSeDokument
        celPrubezneNalezeno.InnerHTML = .popPrubezneNalezenoOdstavcu
      Else                    
        celProhledavaSe.InnerHTML = .popProhledavaSeKniha
        celPrubezneNalezeno.InnerHTML = .popPrubezneNalezenoVersu
      End If
      celProbiraSe.InnerHTML = .popNenalezeno
      cmdStorno.InnerHTML = "&nbsp;" & .popStorno & "&nbsp;"
    End With
    NastavitMezeru
    Document.All.Tags("table")(0).Style.Width = divGraf.OffsetWidth + (3 * lngOkraj)
    celProbiraSe.Style.Color = "buttonface"
    cmdStorno.Style.MarginTop = "1ex"
    With DialogArguments
      celGraf.Style.Height = .txtHledatCo.OffsetHeight - 4
      lngHledatOd = .lngHledatOd
      lngHledatDo = .lngHledatDo
    End With
    NastavitDialog
    lngCitac = lngHledatOd
    SetTimeOut "Hledat", 10
  End Sub
  
  Function Hledat
    With DialogArguments
      If lngCitac <= lngHledatDo Then
        celProbiraSe.Style.Color = ""
        If .strTitul = "Prohledavac" Then
          strCisloProhledat = .arrPoleProhledat(lngCitac) & "."
          celProbiraSe.InnerText = strCisloProhledat
          Prohledavac
        Else
          VybratZkratku(.objPanel.strVychoziPreklad)
          celProbiraSe.InnerText = arrZkratkyKnih(lngCitac)
          Konkordance
        End If
      Else
        celGraf.Style.Width = Document.All.divGraf.OffsetWidth - 4
        If celPocetVersu.InnerText = "0" Then
          celProbiraSe.InnerText = objPanel.popNenalezeno
          celProbiraSe.Style.Color = "red"
        Else
          If .strTitul = "Prohledavac" Then
            .strCislaDokumentu = strCislaDokumentu
            .strVysledkyDokumentu = strVysledkyDokumentu
            .strPocetOdstavcu = celPocetVersu.InnerText
          Else
            .strCislaKnih = strCislaKnih
            .strVysledkyKnih = strVysledkyKnih
            .strPocetVersu = celPocetVersu.InnerText
          End If
          Close
        End If
      End If
    End With
  End Function

  Function Prohledavac
    Dim objPrvek, arrCisloProhledat, arrHledatCo
    Dim strPodretezec1, strPodretezec2, strPodretezec3, strCisloDokumentu
    Dim strOdstavec, strZaSebou, strAlesponJeden, strVysledky
    Dim lngZacatek, lngCislo, lngPozice, lngKonec, lngPocetOdstavcu, lngMalaVelka
    With DialogArguments
      strZaSebou = .strZaSebou
      strAlesponJeden = .strAlesponJeden
      lngMalaVelka = .lngMalaVelka
      arrHledatCo = Split(.strHledatCo, ",")
    End With
    lngPocetOdstavcu = 0
    Set strPodretezec1 = New RegExp
    Set strPodretezec2 = New RegExp
    Set strPodretezec3 = New RegExp
    strPodretezec1.Global = True
    strPodretezec2.Global = True
    strPodretezec3.Global = True
    strPodretezec1.Pattern = "(<[^>]+>)"
    strPodretezec2.Pattern = "(&nbsp;)|(&amp;)|(&lt;)|(&gt;)"
    strPodretezec3.Pattern = "[^" & DialogArguments.strDiakritika & "A-Za-z0-9']"
    objZdroj.RecordSet.MoveFirst
    arrCisloProhledat = Split(strCisloProhledat, ".")
    If UBound(arrCisloProhledat) = 2 Then
      strCisloDokumentu = strCisloProhledat & "0.0.0"
    Else strCisloDokumentu = strCisloProhledat & "0.0"
    End If
    objZdroj.RecordSet.Move objPanel.objDokumenty(strCisloDokumentu) - 1
    Do While Not objZdroj.RecordSet.EOF
      strOdstavec = objZdroj.RecordSet("Column1")
      If InStr(strOdstavec, "!--") Then
        lngZacatek = InStr(strOdstavec, "!--")
        lngKonec = InStr(lngZacatek + 3, strOdstavec, "--")
        strCisloDokumentu = Mid(strOdstavec, lngZacatek + 3, lngKonec - lngZacatek - 3)
        If InStr(strOdstavec, "!--" & strCisloProhledat) = 0 Then Exit Do
      End If
      strOdstavec = " " & strOdstavec & " "
      strOdstavec = strPodretezec1.Replace(strOdstavec, "")
      strOdstavec = strPodretezec2.Replace(strOdstavec, " ")
      strOdstavec = strPodretezec3.Replace(strOdstavec, " ")
      lngZacatek = 1
      lngCislo = -1
      For Each objPrvek In arrHledatCo
        If strZaSebou = "" Then
          If InStr(1, strOdstavec, objPrvek, lngMalaVelka) <> 0 Then
            lngCislo = lngCislo + 1
            If strAlesponJeden = "1" Then Exit For
          Else
            If strAlesponJeden = "" Then Exit For
          End If
        Else
          lngPozice = InStr(lngZacatek, strOdstavec, objPrvek, lngMalaVelka)
          If lngPozice <> 0 Then
            lngCislo = lngCislo + 1
            lngZacatek = lngPozice + Len(objPrvek) - 1
          Else Exit For
          End If
        End If
      Next
      If (strAlesponJeden = "" And lngCislo = UBound(arrHledatCo)) Or (strAlesponJeden = "1" And lngCislo = 0) Then
        strVysledky = strVysledky & strCisloDokumentu & "." & objZdroj.RecordSet.AbsolutePosition & ","
        lngPocetOdstavcu = lngPocetOdstavcu + 1
      End If
      objZdroj.RecordSet.MoveNext
    Loop
    If lngPocetOdstavcu <> 0 Then
      strVysledkyDokumentu = strVysledkyDokumentu & Left(strVysledky, Len(strVysledky) - 1) & " "
      strCislaDokumentu = strCislaDokumentu & strCisloProhledat & " "
    End If
    lngCitac = lngCitac + 1
    celGraf.Style.Width = lngCitac / (1 + lngHledatDo) * (divGraf.OffsetWidth - 4)
    celPocetVersu.InnerText = 0 + celPocetVersu.InnerText + lngPocetOdstavcu
    SetTimeOut "Hledat", 10
  End Function

  Function Konkordance
    Dim objPrvek, arrHledatCo, arrKapitola
    Dim strZaSebou, strAlesponJeden, strPodretezecSCislo, strPodretezecText
    Dim strKapitola, strVers, strVysledky
    Dim lngZacatek, lngCislo, lngIndex, lngPozice, lngPocetVersu, lngRadek, lngMalaVelka
    With DialogArguments
      strZaSebou = .strZaSebou
      strAlesponJeden = .strAlesponJeden
      lngMalaVelka = .lngMalaVelka
      arrHledatCo = Split(.strHledatCo, ",")
      lngPocetVersu = 0
      If .strTitul = "Konkordance" Then
        Set strPodretezecSCislo = New RegExp
        Set strPodretezecText = New RegExp
        strPodretezecSCislo.Global = True
        strPodretezecText.Global = True
        strPodretezecSCislo.Pattern = "(\{[^\}]+\})"
        strPodretezecText.Pattern = "[^" & .strDiakritika & "\w]"
      End If
    End With
    objZdroj.RecordSet.MoveFirst
    objVychozi.RecordSet.MoveFirst
    lngRadek = objPanel.arrBible(lngCitac)(0) - 1
    objZdroj.RecordSet.Move lngRadek
    objVychozi.RecordSet.Move lngRadek
    For lngRadek = objPanel.arrBible(lngCitac)(0) To objPanel.arrBible(lngCitac)(0) + UBound(objPanel.arrBible(lngCitac)) - 1
      strKapitola = objVychozi.RecordSet("Column1")
      If strKapitola = "" Then strKapitola = objZdroj.RecordSet("Column1")
      arrKapitola = Split(strKapitola, "#")
      For lngIndex = 1 To UBound(arrKapitola)
        strVers = " " & arrKapitola(lngIndex) & " "
        If DialogArguments.strTitul = "Konkordance" Then
          strVers = Replace(strVers, "[", "")
          strVers = Replace(strVers, "]", "")
          strVers = strPodretezecSCislo.Replace(strVers, " ")
          strVers = strPodretezecText.Replace(strVers, " ")
        End If
        lngZacatek = 1
        lngCislo = -1
        For Each objPrvek In arrHledatCo
          If strZaSebou = "" Then
            If InStr(1, strVers, objPrvek, lngMalaVelka) > 0 Then
              lngCislo = lngCislo + 1
              If strAlesponJeden = "1" Then Exit For
            Else
              If strAlesponJeden = "" Then Exit For
            End If
          Else
            lngPozice = InStr(lngZacatek, strVers, objPrvek, lngMalaVelka)
            If lngPozice <> 0 Then
              lngCislo = lngCislo + 1
              lngZacatek = lngPozice + Len(objPrvek) - 1
            Else Exit For
            End If
          End If
        Next
        If (strAlesponJeden = "" And lngCislo = UBound(arrHledatCo)) Or (strAlesponJeden = "1" And lngCislo = 0) Then
          strVysledky = strVysledky & lngRadek & "-" & lngIndex & ","
          lngPocetVersu = lngPocetVersu + 1
        End If
      Next
      objZdroj.RecordSet.MoveNext
      objVychozi.RecordSet.MoveNext
    Next
    If lngPocetVersu <> 0 Then
      strVysledkyKnih = strVysledkyKnih & Left(strVysledky, Len(strVysledky) - 1) & " "
      strCislaKnih = strCislaKnih & lngCitac & " "
    End If
    lngCitac = lngCitac + 1
    celGraf.Style.Width = (lngCitac - lngHledatOd)/(1 + lngHledatDo - lngHledatOd) * (divGraf.OffsetWidth - 4)
    celPocetVersu.InnerText = 0 + celPocetVersu.InnerText + lngPocetVersu
    SetTimeOut "Hledat", 10
  End Function
