'<script>
  Option Explicit
  Dim objPreklad
  Dim arrNazvyPrekladu, arrZkratkyPrekladu, arrZkratkyKnih
  
  arrNazvyPrekladu = Array(_
  "Kralick peklad Bible z roku 1613",_
  "Revidovan Rohkov preklad Biblie",_
  "King James Version of the Bible from 1769",_
  "The Webster Bible from 1833"_
  )
  
  arrZkratkyPrekladu = Array(_
  "kav",_
  "rav",_
  "kjv",_
  "wbt"_
  )
  
  Function NaplnitSeznamPrekladu(Kotva)
    Dim lngIndex
    Select Case Kotva
    Case "1" Set objPreklad = cboPreklad1
    Case "2" Set objPreklad = cboPreklad2
    Case Else Set objPreklad = cboPreklad
    End Select
    For lngIndex = 0 To UBound(arrNazvyPrekladu)
      objPreklad.Add Document.CreateElement("OPTION")
      objPreklad.Options(lngIndex).Value = arrZkratkyPrekladu(lngIndex)
      objPreklad.Options(lngIndex).Text = " " & arrNazvyPrekladu(lngIndex)
    Next
  End Function
  
  Function VybratZkratku(Kotva)
    Select Case Kotva
      '                                     1      2      3      4      5      6      7      8      9      10     11     12     13     14     15     16     17     18     19     20     21     22     23     24     25     26     27     28     29     30     31     32     33     34     35     36     37     38     39     40     41     42     43     44     45     46     47     48     49     50     51     52     53     54     55     56     57     58     59     60     61     62     63     64     65     66
      Case "kav" arrZkratkyKnih = Array(, "1Mo", "2Mo", "3Mo", "4Mo", "5Mo", "Joz", "Sou", "Rut", "1Sa", "2Sa", "1Kr", "2Kr", "1Pa", "2Pa", "Ezd", "Neh", "Est", "Job", "al", "P", "Kaz", "Ps", "Iza", "Jer", "Pl", "Eze", "Dan", "Oze", "Joe", "Amo", "Abd", "Jon", "Mic", "Nah", "Aba", "Sof", "Agg", "Zac", "Mal", "Mat", "Mar", "Luk", "Jan", "Sku", "m", "1Ko", "2Ko", "Gal", "Efe", "Flp", "Kol", "1Te", "2Te", "1Ti", "2Ti", "Tit", "Flm", "id", "Jak", "1Pe", "2Pe", "1Ja", "2Ja", "3Ja", "Jud", "Zje")
      Case "rav" arrZkratkyKnih = Array(, "1Mo", "2Mo", "3Mo", "4Mo", "5Mo", "Joz", "Sud", "Rut", "1Sa", "2Sa", "1Kr", "2Kr", "1Pa", "2Pa", "Ezd", "Neh", "Est", "Job", "al", "Pr", "Kaz", "Pie", "Iza", "Jer", "Pla", "Eze", "Dan", "Hoz", "Joe", "mo", "Oba", "Jon", "Mic", "Nh", "Hab", "Sof", "Hag", "Zac", "Mal", "Mat", "Mar", "Luk", "Jn", "Sku", "Rim", "1Ko", "2Ko", "Gal", "Efe", "Flp", "Kol", "1Te", "2Te", "1Ti", "2Ti", "Tt", "Flm", "id", "Jak", "1Pe", "2Pe", "1J", "2J", "3J", "Jd", "Zja")
      Case "kjv" arrZkratkyKnih = Array(, "Gen", "Exo", "Lev", "Num", "Deu", "Jos", "Jdg", "Rut", "1Sa", "2Sa", "1Ki", "2Ki", "1Ch", "2Ch", "Ezr", "Neh", "Est", "Job", "Psa", "Pro", "Ecc", "Son", "Isa", "Jer", "Lam", "Eze", "Dan", "Hos", "Joe", "Amo", "Oba", "Jon", "Mic", "Nah", "Hab", "Zep", "Hag", "Zec", "Mal", "Mat", "Mar", "Luk", "Joh", "Act", "Rom", "1Co", "2Co", "Gal", "Eph", "Php", "Col", "1Th", "2Th", "1Ti", "2Ti", "Tit", "Phm", "Heb", "Jam", "1Pe", "2Pe", "1Jo", "2Jo", "3Jo", "Jud", "Rev")
      Case "wbt" arrZkratkyKnih = Array(, "Gen", "Exo", "Lev", "Num", "Deu", "Jos", "Jdg", "Rut", "1Sa", "2Sa", "1Ki", "2Ki", "1Ch", "2Ch", "Ezr", "Neh", "Est", "Job", "Psa", "Pro", "Ecc", "Son", "Isa", "Jer", "Lam", "Eze", "Dan", "Hos", "Joe", "Amo", "Oba", "Jon", "Mic", "Nah", "Hab", "Zep", "Hag", "Zec", "Mal", "Mat", "Mar", "Luk", "Joh", "Act", "Rom", "1Co", "2Co", "Gal", "Eph", "Php", "Col", "1Th", "2Th", "1Ti", "2Ti", "Tit", "Phm", "Heb", "Jam", "1Pe", "2Pe", "1Jo", "2Jo", "3Jo", "Jud", "Rev")
    End Select
  End Function

  Function PrepnoutPreklad
    If strBezPopisku = "" Then
      Dim lngIndex
      For lngIndex = 0 To UBound(arrZkratkyPrekladu)
        If arrZkratkyPrekladu(lngIndex) = cboPreklad.Value Then
          If lngIndex = 0 Then
            cmdPrekladVzad.Title = arrNazvyPrekladu(UBound(arrZkratkyPrekladu))
          Else cmdPrekladVzad.Title = arrNazvyPrekladu(lngIndex - 1)
          End If
          If lngIndex = UBound(arrZkratkyPrekladu) Then
            cmdPrekladVpred.Title = arrNazvyPrekladu(0)
          Else cmdPrekladVpred.Title = arrNazvyPrekladu(lngIndex + 1)
          End If
          Exit For
        End If
      Next
    End If
    If strTitul = "Kopirka" Then
      If strBezPopisku = "" Then cmdPismo.Title = objPanel.popNastaveniPisma
      If cboPreklad.Value = "kjv" Then
        txtMetoda.Disabled = False
        If objTop.txtMetoda.Value = "1" Then
          txtMetoda.Checked = True
        Else txtMetoda.Checked = False
        End If
      Else
        txtMetoda.Checked = False
        txtMetoda.Disabled = True
      End IF
    End If
  End Function
  
