'<script>
  Option Explicit
  Dim strUkazkaPismaOkna
  Dim objTop, objPanel
  Dim lngOkrajTop, lngOkrajLeft, lngOkraj
  
  If Window.Name <> "fraNavigator" Then
    If strTitul = "Barvy" Or strTitul = "Vyhledat" Or strTitul = "Kopirovat" Or strTitul = "Tiskarna" Or strTitul = "Soubor" Then
      Set objPanel = DialogArguments.DialogArguments
    Else Set objPanel = DialogArguments
    End If
  Else Set objPanel = Parent
  End If
  lngOkraj = objPanel.lngOkraj
  Set objTop = objPanel.Top
  With objTop
    Document.Write _
      "<style type='text/css'>" & _
      "* {font-family:" & .txtRodinaPismaPanelu.Value & ";font-size:" & .txtVelikostPismaPanelu.Value & "}" & _
      "#celSCislo, #celHledanyVyraz {font-family:" & .txtRodinaPismaOkna.Value & "}" & _
      ".A {color:" & .txtBarvaA.Value & "}" & _
      ".B {color:" & .txtBarvaB.Value & "}" & _
      ".C {color:" & .txtBarvaC.Value & "}" & _
      ".D {color:" & .txtBarvaD.Value & "}" & _
      ".Z {color:" & .txtBarvaZ.Value & "}" & _
      "</style>"
  End With

  Sub Window_OnHelp
    objPanel.cmdPruvodce.Click
  End Sub
  
  Sub Document_OnKeyDown
    If Window.Event.KeyCode = 27 And Window.Name <> "fraNavigator" Then
      If strTitul = "Konkordance" Or strTitul = "Strongs" Then
        txtNavigovat.Blur
        txtHledatCo.Blur
      ElseIf strTitul = "Prohledavac" Then
        txtHledatCo.Blur
      End If
      Top.Close
    End If
  End Sub
  
  Sub Document_OnMouseOver
    With Window.Event.SrcElement
      If .Style.Background <> "highlight" Then
        If .ClassName = "menu" Or .ClassName = "radek" Or (strTitul = "Seznam" And .TagName = "DIV") Then
          .Style.Background = "buttonface"
        ElseIf .TagName = "DIV" And (strTitul = "Skupiny" Or strTitul = "Mapa" Or Parent.strTitul = "Pruvodce") Then
          .Style.Background = "buttonhighlight"
        End If
      End If
    End With
  End Sub
  
  Sub Document_OnMouseDown
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        If .Disabled = False Then
          .Style.Border = "2px inset"
          .Style.Padding = "2px 2px 0 4px"
        End If
      End If
    End With
  End Sub
  
  Sub Document_OnMouseUp
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        .Style.Border = "2px outset"
        .Style.Padding = "1px 3px"
      End If
    End With
  End Sub
  
  Sub Document_OnMouseOut
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        .Style.Border = "2px outset"
        .Style.Padding = "1px 3px"
      ElseIf .Style.Background <> "highlight" Then
        If .ClassName = "menu" Or .ClassName = "radek" Or (strTitul = "Seznam" And .TagName = "DIV") Then
          .Style.Background = ""
        ElseIf .TagName = "DIV" And (strTitul = "Skupiny" Or strTitul = "Mapa" Or Parent.strTitul = "Pruvodce") Then
          .Style.Background = "buttonface"
        End If
      End If
    End With
  End Sub
  
  Sub cmdSkupiny_OnClick
    With Document.All.fraSkupiny
      If .Style.Display = "none" Or .Style.Display = "" Then
        .Style.Display = "block"
        .Style.Width = Frames("fraSkupiny").celMenu.OffsetWidth + (4 * lngOkraj)
        .Style.Height = Frames("fraSkupiny").celMenu.OffsetHeight + (3 * lngOkraj)
        .Style.Top = cmdSkupiny.OffsetTop + cmdSkupiny.OffsetHeight
        .Style.Left = cmdSkupiny.OffsetLeft + cmdSkupiny.OffsetWidth - .OffsetWidth
        Frames("fraSkupiny").Document.Body.Style.MarginTop = lngOkraj
      Else .Style.Display = "none"
      End If
    End With
  End Sub
  
  Sub cmdVymazat_OnClick
    txtHledatCo.Value = ""
    txtHledatCo.Focus
  End Sub
  
  Function OtevritDialog(Kotva)
    Dim strTop, strLeft, strURL
    strTop = ScreenTop + Round(Document.Body.OffsetHeight / 2)
    strLeft = ScreenLeft + Round(Document.Body.OffsetWidth / 2)
    With objTop
      Select Case Kotva
      Case "Barvy"
        strTop = .txtBarvyTop.Value
        strLeft = .txtBarvyLeft.Value
        strURL = "barvy.htm"
      Case "Vyhledat"
        strURL = "vyhledat.htm"
      Case "Kopirovat"
        strURL = "kopirovat.htm"
      Case "Soubor"
        strURL = "soubor.htm"
      Case "Tiskarna"
        strURL = "tiskarna.htm"
      End Select
    End With
    objPanel.strDialog = strTop & strLeft
    ShowModalDialog strURL, Window, "dialogTop=" & strTop & "; dialogLeft=" & strLeft & "; dialogHeight=0; dialogWidth=0;"
  End Function
  
  Function NastavitDialog
    Dim lngDialogWidth, lngDialogHeight
    lngOkrajTop = ScreenTop - Left(dialogTop, Len(dialogTop) - 2)
    lngOkrajLeft = ScreenLeft - Left(dialogLeft, Len(dialogLeft) - 2)
    If strTitul = "Mapa" Then
      lngDialogWidth = 33 * (objPanel.cboA.OffsetHeight - 6)
      lngDialogHeight = 24 * (objPanel.cboA.OffsetHeight - 6)
    Else
      lngDialogWidth = Document.All.Tags("table")(0).OffsetWidth + (2 * lngOkraj) + 8
      lngDialogHeight = Document.All.Tags("table")(0).OffsetHeight + (2 * lngOkraj) + 8
      Document.Body.Style.MarginTop = lngOkraj + 4
    End If
    DialogWidth = lngDialogWidth & "px"
    DialogHeight = lngDialogHeight & "px"
    ScrollTo 0, 0
    If strTitul = "Vyhledat" Or strTitul = "Kopirovat" Or strTitul = "Soubor" Or strTitul = "Tiskarna" Then
      With DialogArguments
        DialogTop = .ScreenTop + ((.Document.Body.OffsetHeight - Left(DialogHeight, Len(DialogHeight) - 2)) / 2) - lngOkraj
        DialogLeft = .ScreenLeft + ((.Document.Body.OffsetWidth - Left(DialogWidth, Len(DialogWidth) - 2)) / 2) - lngOkraj
      End With
    Else
      If objPanel.strDialog = "" Then
        DialogTop = Round((Screen.AvailHeight - lngDialogHeight)/2)
        DialogLeft = Round((Screen.AvailWidth - lngDialogWidth)/2)
      Else
        If ScreenTop - lngOkrajTop < 0 Then DialogTop = "0px"
        If ScreenLeft - lngOkrajLeft < 0 Then DialogLeft = "0px"
        If ScreenTop + lngDialogHeight + lngOkrajLeft > Screen.AvailHeight Then _
          DialogTop = Screen.AvailHeight - lngDialogHeight - lngOkrajTop - lngOkrajLeft
        If ScreenLeft + lngDialogWidth + lngOkrajLeft > Screen.AvailWidth Then _
          DialogLeft = Screen.AvailWidth - lngDialogWidth - (2 * lngOkrajLeft)
      End If
    End If
  End Function
  
  Function NastavitPole
    Dim objPrvek
    For Each objPrvek In Document.All.Tags("fieldset")
      objPrvek.Style.Padding = "0 " & lngOkraj & " " & lngOkraj
    Next
  End Function
  
  Function NastavitMezeru
    Dim objPrvek
    For Each objPrvek In Document.All.Tags("td")
      If objPrvek.ClassName = "mezera" Then objPrvek.Style.Height = lngOkraj
    Next
  End Function
  
