'<script>
  Option Explicit
  Dim arrAbeceda
  Dim strDiakritika, strHledatCo, strBezPopisku, strCislaKnih, strPocetVersu
  Dim strPreklad, strZaSebou, strAlesponJeden, strVysledkyKnih, strTitul
  Dim lngHledatOd, lngHledatDo, lngCitac, lngMalaVelka, lngAbeceda
  strTitul = "Konkordance"
  
  Sub Window_OnLoad
    Dim lngIndex, objPrvek
    With objPanel
      Document.Title = .pop23
      celHledatVCem.InnerHTML = .pop2311
      celSeznamSlov.InnerHTML = .pop2312
      legRozsahHledani.InnerHTML = .pop2313
      celOd.InnerHTML = .popOd
      celDo.InnerHTML = .popDo
      cmdSkupiny.InnerHTML = .popSkupiny
      legMetodyHledani.InnerHTML = .pop2314
      labBezPoradi.InnerHTML = .popBezPoradi
      labZaSebou.InnerHTML = .popZaSebou
      labAlesponJeden.InnerHTML = .popAlesponJeden
      labMalaVelka.InnerHTML = .popRozlisovatMalaVelka
      celHledatCo.InnerHTML = .pop2315
      cmdHistorie.InnerHTML = .pop2316
      cmdVyhledat.InnerHTML = .pop2318
      cmdVymazat.InnerHTML = .popVymazat
      cmdZavrit.InnerHTML = .popZavrit
      VybratZkratku(.strVychoziPreklad)
      For Each objPrvek In Document.All.Tags("select")
        If InStr(objPrvek.ClassName, "seznam") Then _
          objPrvek.Style.Width = objPrvek.OffsetWidth + .lngPosuvnik
      Next
    End With
    NastavitPole
    NastavitMezeru
    If cmdVyhledat.OffsetWidth < Round(cmdVyhledat.ParentElement.OffsetWidth / 4) + 1 Then _
      cmdVyhledat.Style.Width = Round(cmdVyhledat.ParentElement.OffsetWidth / 4) + 1
    cboPreklad.InnerHTML = ""
    NaplnitSeznamPrekladu("")
    For lngIndex = 1 To 66
      cboKnihaOd.Add Document.CreateElement("OPTION")
      cboKnihaOd.Options(lngIndex - 1).Value = lngIndex
      cboKnihaOd.Options(lngIndex - 1).Text = arrZkratkyKnih(lngIndex)
      If objTop.txtBezPopisku.Value = "" Then cboKnihaOd.Options(lngIndex - 1).Title = objPanel.arrNazvyKnih(lngIndex)
      cboKnihaDo.Add Document.CreateElement("OPTION")
      cboKnihaDo.Options(lngIndex - 1).Value = lngIndex
      cboKnihaDo.Options(lngIndex - 1).Text = arrZkratkyKnih(lngIndex)
      If objTop.txtBezPopisku.Value = "" Then cboKnihaDo.Options(lngIndex - 1).Title = objPanel.arrNazvyKnih(lngIndex)
    Next
    With Document.All
      For lngIndex = 1 To 4
        .Tags("button")(lngIndex).Style.Width = cmdVyhledat.OffsetWidth
        .Tags("button")(lngIndex).Style.Height = cmdVyhledat.OffsetHeight
      Next
      .fraAbeceda.Style.MarginRight = lngOkraj
      .fraAbeceda.Style.Height = .fraAbeceda.ParentElement.OffsetHeight
      .fraAbeceda.Style.Width = .fraAbeceda.OffsetWidth + objPanel.lngPosuvnik
      .fraSeznam.Style.Height = .fraAbeceda.OffsetHeight - txtNavigovat.OffsetHeight - lngOkraj - 4
      .fraSeznam.Style.Width = "28ex"
      .fraSeznam.Style.Margin = lngOkraj & "px " & (2 * lngOkraj) & "px 0 0"
      txtNavigovat.Style.Width = .fraSeznam.OffsetWidth - cmdZkopirovat.OffsetWidth
    End With
    cboPreklad.Style.Width = (4 * cmdVyhledat.OffsetWidth) - (2 * cmdPrekladVzad.OffsetWidth)
    txtHledatCo.Style.Width = 4 * cmdVyhledat.OffsetWidth
    With objTop
      txtNavigovat.Value = .txtKonkordanceNavigovat.Value
      cboPreklad.Value = .txtKonkordancePreklad.Value
      strBezPopisku = .txtBezPopisku.Value
      lngAbeceda = 0 + .txtAbeceda.Value
      cboKnihaOd.Value = .txtKonkordanceHledatOd.Value
      cboKnihaDo.Value = .txtKonkordanceHledatDo.Value
      If .txtKonkordanceBezPoradi.Value = "1" Then
        txtBezPoradi.Click
      ElseIf .txtKonkordanceZaSebou.Value = "1" Then
        txtZaSebou.Click
      Else txtAlesponJeden.Click
      End If
      If .txtKonkordanceMalaVelka.Value = "0" Then txtMalaVelka.Checked = True
      txtHledatCo.Value = .txtKonkordanceHledatCo.Value
      txtHledatCo.Focus
    End With
    NastavitAbecedu
    NastavitPopisky
    NastavitDialog
  End Sub
  
  Sub Window_OnBeforeUnload
    With objTop
      .txtKonkordanceTop.Value = Window.ScreenTop - lngOkrajTop
      .txtKonkordanceLeft.Value = Window.ScreenLeft - lngOkrajLeft
      .txtKonkordanceNavigovat.Value = txtNavigovat.Value
      .txtAbeceda.Value = lngAbeceda
      .txtKonkordancePreklad.Value = cboPreklad.Value
      .txtKonkordanceHledatOd.Value = cboKnihaOd.Value
      .txtKonkordanceHledatDo.Value = cboKnihaDo.Value
      If txtBezPoradi.Checked Then .txtKonkordanceBezPoradi.Value = "1" Else .txtKonkordanceBezPoradi.Value = ""
      If txtZaSebou.Checked Then .txtKonkordanceZaSebou.Value = "1" Else .txtKonkordanceZaSebou.Value = ""
      If txtMalaVelka.Checked Then .txtKonkordanceMalaVelka.Value = "0" Else .txtKonkordanceMalaVelka.Value = "1"
      .txtKonkordanceHledatCo.Value = txtHledatCo.Value
    End With
  End Sub
  
  Sub Document_OnClick
    With Window.Event.SrcElement
      If .Id <> "cmdSkupiny" Then Document.All.fraSkupiny.Style.Display = "none"
      If .Id <> "cmdHistorie" Then Document.All.fraHistorie.Style.Display = "none"
      If .TagName = "BUTTON" Or .ClassName = "metoda" Then .Blur
    End With
  End Sub
  
  Sub txtNavigovat_OnKeyUp
    If txtNavigovat.Value <> "" Then
      Navigovat
    Else cmdZkopirovat.Style.Color = "buttonface"
    End If
  End Sub
  
  Sub txtNavigovat_OnKeyPress
    If Window.Event.KeyCode = 13 Then cmdZkopirovat.Click
  End Sub

  Sub cboPreklad_OnChange
    cboPreklad.Blur
    VybratPreklad
  End Sub
  
  Sub cmdPrekladVzad_OnClick
    Dim lngIndex
    For lngIndex = 0 To UBound(arrZkratkyPrekladu)
      If cboPreklad.Value = arrZkratkyPrekladu(lngIndex) Then
        If lngIndex = 0 Then
          cboPreklad.Value = arrZkratkyPrekladu(UBound(arrZkratkyPrekladu))
        Else cboPreklad.Value = arrZkratkyPrekladu(lngIndex - 1)
        End If
        Exit For
      End If
    Next
    VybratPreklad
  End Sub
  
  Sub cmdPrekladVpred_OnClick
    Dim lngIndex
    For lngIndex = 0 To UBound(arrZkratkyPrekladu)
      If cboPreklad.Value = arrZkratkyPrekladu(lngIndex) Then
        If lngIndex = UBound(arrZkratkyPrekladu) Then
          cboPreklad.Value = arrZkratkyPrekladu(0)
        Else cboPreklad.Value = arrZkratkyPrekladu(lngIndex + 1)
        End If
        Exit For
      End If
    Next
    VybratPreklad
  End Sub
  
  Sub cmdVyhledat_OnClick
    Dim arrHledatCo
    Dim strPodretezecText, strPodretezecCislo, strAbeceda, strZnak, strTest
    Dim lngIndex
    strDiakritika = objTop.strDiakritika
    strHledatCo = " " & txtHledatCo.Value & " "
    Set strPodretezecCislo = New RegExp
    Set strPodretezecText = New RegExp
    strPodretezecCislo.Global = True
    strPodretezecText.Global = True
    strPodretezecCislo.Pattern = "(\{[^\}]+\})"
    strPodretezecText.Pattern = "[^" & strDiakritika & "A-Za-z'*]"
    strHledatCo = Replace(strHledatCo, "[", "")
    strHledatCo = Replace(strHledatCo, "]", "")
    strHledatCo = strPodretezecCislo.Replace(strHledatCo, " ")
    strHledatCo = strPodretezecText.Replace(strHledatCo, " ")
    strTest = Replace(strHledatCo, "*", "") & " "
    Select Case cboPreklad.Value
    Case "kav"
      strAbeceda = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPrRsStTuUvVxyzZ "
    Case "rav"
      strAbeceda = "aAbBcCdDeEfFgGhHiIjJkKlL徼mMnNoOpPrRsStTuUvVxyzZ "
    Case "kjv"
      strAbeceda = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWxyYzZ' "
    Case "wbt"
      strAbeceda = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWxyYzZ' "
    End Select
    For lngIndex = 1 To Len(strTest)
      strZnak = Mid(strTest, lngIndex, 1)
      If InStr(strAbeceda, strZnak) = 0 Then
        MsgBox objPanel.popZnak & Chr(34) & strZnak & Chr(34) & objPanel.popVDanemPrekladu & ", " & objPanel.popHledaniNeuspesne & ".", vbCritical, objPanel.popChyba
        txtHledatCo.Focus
        Exit Sub
      End If
    Next
    Do While InStr(strHledatCo, "**") > 0
      strHledatCo = Replace(strHledatCo, "**", "*")
    Loop
    Do While InStr(strHledatCo, " * ") > 0
      strHledatCo = Replace(strHledatCo, " * ", " ")
    Loop
    For lngIndex = 2 To Len(strHledatCo) - 1
      If Mid(strHledatCo, lngIndex, 1) = "*" Then
        If Mid(strHledatCo, lngIndex - 1, 1) <> " " And Mid(strHledatCo, lngIndex + 1, 1) <> " " Then
          strHledatCo = Left(strHledatCo, lngIndex - 1) & Replace(strHledatCo, "*", "* *", lngIndex, 1)
        End If
      End If
    Next
    Do While InStr(strHledatCo, "  ") > 0
      strHledatCo = Replace(strHledatCo, "  ", " ")
    Loop
    txtHledatCo.Value = Trim(strHledatCo)
    strTest = Replace(strHledatCo, "*", "")
    If strTest = "" Or strTest = " " Then
      MsgBox objPanel.popNeniZadano, vbCritical, objPanel.popChyba
      txtHledatCo.Focus
      Exit Sub
    End If
    strPreklad = cboPreklad.Value
    lngHledatOd = cboKnihaOd.Value + 0
    lngHledatDo = cboKnihaDo.Value + 0
    If txtZaSebou.Checked Then strZaSebou = "1" Else strZaSebou = ""
    If txtAlesponJeden.Checked Then strAlesponJeden = "1" Else strAlesponJeden = ""
    If txtMalaVelka.Checked Then lngMalaVelka = 0 Else lngMalaVelka = 1
    If cboPreklad.Value = "kjv" Or cboPreklad.Value = "wbt" Then strDiakritika = "'"
    arrHledatCo = Split(txtHledatCo.Value)
    For lngIndex = 0 To UBound(arrHledatCo)
      If Left(arrHledatCo(lngIndex), 1) = "*" Then
        If Right(arrHledatCo(lngIndex), 1) = "*" Then
          arrHledatCo(lngIndex) = Replace(arrHledatCo(lngIndex), "*", "")
        Else arrHledatCo(lngIndex) = Replace(arrHledatCo(lngIndex), "*", "") & " "
        End If
      Else
        If Right(arrHledatCo(lngIndex), 1) = "*" Then
          arrHledatCo(lngIndex) = " " & Replace(arrHledatCo(lngIndex), "*", "")
        Else arrHledatCo(lngIndex) = " " & arrHledatCo(lngIndex) & " "
        End If
      End If
    Next
    strHledatCo = Join(arrHledatCo, ",")
    ZapsatDoHistorieHledani
    OtevritDialog("Vyhledat")
    If strVysledkyKnih <> "" Then
      With objTop
        .txtKonkordanceCislaKnih.Value = Trim(strCislaKnih)
        .txtKonkordanceVysledkyKnih.Value = Left(strVysledkyKnih, Len(strVysledkyKnih) - 1)
        .txtKonkordanceVysledkyVCem.Value = strPreklad
        .txtKonkordanceVysledkyOd.Value = lngHledatOd
        .txtKonkordanceVysledkyDo.Value = lngHledatDo
        .txtKonkordanceVysledkyZaSebou.Value = strZaSebou
        .txtKonkordanceVysledkyAlesponJeden.Value = strAlesponJeden
        .txtKonkordanceVysledkyMalaVelka.Value = lngMalaVelka
        .txtKonkordanceVysledkyHledatCo.Value = txtHledatCo.Value
        .txtKonkordanceVysledkyCo.Value = strHledatCo
        .txtKonkordancePocetVersu.Value = strPocetVersu
      End With
      DialogArguments.Nalezeno("konkordance")
      Close
    End If
  End Sub

  Function VybratPreklad
    lngAbeceda = 0
    txtNavigovat.Value = ""
    txtHledatCo.Value = ""
    txtHledatCo.Focus
    NastavitAbecedu
  End Function

  Function NastavitAbecedu
    Dim lngIndex
    PrepnoutPreklad
    Select Case cboPreklad.Value
    Case "kav" arrAbeceda = Array("A","B","C","","D","","E","F","G","H","CH","I","J","K","L","M","N","","O","P","R","","S","","T","U","","V","Y","Z","")
    Case "rav" arrAbeceda = Array("A","","B","C","","D","","E","","F","G","H","CH","I","","J","K","L","","M","N","","O","","","P","R","S","","T","","U","","V","Y","Z","")
    Case "kjv" arrAbeceda = Array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","Y","Z")
    Case "wbt" arrAbeceda = Array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","Y","Z")
    End Select
    Frames("fraAbeceda").Document.Body.InnerHTML = ""
    For lngIndex = 0 To UBound(arrAbeceda)
      Frames("fraAbeceda").Document.Body.InsertAdjacentHTML "BeforeEnd", "<div id=" & lngIndex & ">" & arrAbeceda(lngIndex) & "</div>"
    Next
    Frames("fraAbeceda").Document.All.Tags("div")(lngAbeceda).ScrollIntoView
    VybratPismeno
  End Function
  
  Function VybratPismeno
    With Frames("fraAbeceda").Document.All.Tags("div")(lngAbeceda)
      .Style.Background = "highlight"
      .Style.Color = "highlighttext"
    End With
    cmdZkopirovat.Style.Color = "buttonface"
    Document.All.fraSeznam.Src = "seznam.htm"
  End Function
  
  Function Navigovat
    Dim lngIndex
    If cboPreklad.Value <> "kjv" And cboPreklad.Value <> "wbt" And UCase(Left(txtNavigovat.Value, 2)) = "CH" And arrAbeceda(lngAbeceda) <> "CH" Then
      With Frames("fraAbeceda").Document.All
        .Tags("div")(lngAbeceda).Style.Background = ""
        .Tags("div")(lngAbeceda).Style.Color = ""
        lngAbeceda = 10
        If cboPreklad.Value = "rav" Then lngAbeceda = 12
        .Tags("div")(lngAbeceda).ScrollIntoView
      End With
      VybratPismeno
    Else
      If UCase(Left(txtNavigovat.Value, 2)) <> "CH" And UCase(Left(txtNavigovat.Value, 1)) <> arrAbeceda(lngAbeceda) Then
        For lngIndex = 0 To UBound(arrAbeceda)
          If arrAbeceda(lngIndex) = UCase(Left(txtNavigovat.Value, 1)) Then
            With Frames("fraAbeceda").Document.All
              .Tags("div")(lngAbeceda).Style.Background = ""
              .Tags("div")(lngAbeceda).Style.Color = ""
              lngAbeceda = lngIndex
              .Tags("div")(lngAbeceda).ScrollIntoView
            End With
            VybratPismeno
            Exit For
          Else cmdZkopirovat.Style.Color = "buttonface"
          End If
        Next
      Else NastavitSlovo
      End If
    End If
  End Function
  
  Function NastavitSlovo
    Dim objPrvek
    For Each objPrvek In Frames("fraSeznam").Document.All.Tags("div")
      If LCase(Left(objPrvek.InnerText, Len(txtNavigovat.Value))) = LCase(txtNavigovat.Value) Then
        objPrvek.ScrollIntoView
        cmdZkopirovat.Style.Color = "buttontext"
        Exit For
      Else cmdZkopirovat.Style.Color = "buttonface"
      End If
    Next
  End Function
  
