'<script>
  Option Explicit
  Dim objFSO, objOTF
  Dim strTitul, strPreklad, strCestaZdroje, strCestaVychozi, strZkratkaKnihy, strCestaSouboru
  Dim lngCitac, lngVelikostSouboru
  strTitul = "Kopirovat"
  Set objFSO = CreateObject("Scripting.FileSystemObject")

  With DialogArguments
    strPreklad = .cboPreklad.Value
    strCestaZdroje = "../txt/" & strPreklad & "/" & strPreklad & ".txt"
    If strPreklad <> .DialogArguments.strVychoziPreklad Then
      strCestaVychozi = "../txt/" & strPreklad & "/" & .DialogArguments.strVychoziPreklad & ".txt"
    Else strCestaVychozi = "../txt/wbt/kjv.txt"
    End If
  End With
  
  Sub Window_OnLoad
    With objPanel
      Document.Title = .pop2517
      celPrubeh.InnerHTML = .popPrubezneNalezenoVersu
      celProbiraSe.InnerHTML = .popNenalezeno
      cmdStorno.InnerHTML = "&nbsp" & .popStorno & "&nbsp"
    End With
    NastavitMezeru
    Document.All.fraSchranka.Style.MarginTop = 3 * lngOkraj
    Document.All.Tags("table")(0).Style.Width = divGraf.OffsetWidth + (3 * lngOkraj)
    celPrubeh.InnerHTML = objPanel.popNacitaSe & ":"
    celProbiraSe.Style.Color = "buttonface"
    With DialogArguments
      celGraf.Style.Height = .cboPreklad.OffsetHeight - 4
      cmdStorno.Style.MarginTop = "1ex"
      NastavitDialog
      lngCitac = .strKnihaOd + 0
      If .txtSoubor.Checked Then
        celPrubeh.InnerHTML = objPanel.popUkladaSe & ":"
        strCestaSouboru = .strCestaSouboru
        If .txtFormatovany.Checked Then
          Set objOTF = objFSO.OpenTextFile(strCestaSouboru, 2, True)
          objOTF.Write "{\rtf1\ansi\ansicpg1250\deff0\deflang1029{\fonttbl{\f0\fswiss\fcharset238{\*\fname Arial;}Arial CE;}}"
          objOTF.Close
        End If
      Else
        With Frames("fraSchranka").Document.Body.Style
          .FontFamily = objTop.txtRodinaPismaTisku.Value
          .FontSize = objTop.txtVelikostPismaTisku.Value
        End With
      End If
    End With
    SetTimeOut "Kopirovat", 10
  End Sub
  
  Sub Window_OnBeforeUnload
    If DialogArguments.txtSoubor.Checked And celPrubeh.InnerHTML <> "&nbsp;" Then
      objFSO.DeleteFile strCestaSouboru
      celProbiraSe.Style.Color = "buttonface"
      celPrubeh.InnerHTML = "&nbsp;"
      celGraf.Style.Width = 0
      MsgBox objPanel.pop253 & objPanel.popByloZruseno & vbCrLf & objPanel.popSouborNeulozen, 48, objPanel.popStorno
    End If
  End Sub
  
  Function Kopirovat
    With DialogArguments
      If lngCitac <= 0 + .strKnihaDo Then
        VybratZkratku(objPanel.strVychoziPreklad)
        celProbiraSe.InnerText = arrZkratkyKnih(lngCitac)
        celProbiraSe.Style.Color = ""
        VybratZkratku(.cboPreklad.Value)
        strZkratkaKnihy = arrZkratkyKnih(lngCitac) & " "
        Probirat
      Else
        celProbiraSe.Style.Color = "buttonface"
        celGraf.Style.Width = divGraf.OffsetWidth - 4
        celPrubeh.InnerText = objPanel.popUkladaSe & "..."
        celPrubeh.Style.FontWeight = "bold"
        SetTimeOut "Ulozit", 10
      End If
    End With
  End Function
  
  Function Probirat
    Dim arrKapitola
    Dim strSCislo, strKapitola, strVerse, strText
    Dim lngPrvniRadek, lngPosledniRadek, lngRadek, lngIndex, lngDostupneMisto
    objZdroj.RecordSet.MoveFirst
    objVychozi.RecordSet.MoveFirst
    With DialogArguments
      lngPrvniRadek = objPanel.arrBible(lngCitac)(0)
      If lngCitac = 0 + .strKnihaOd Then _
        lngPrvniRadek = -1 + objPanel.arrBible(lngCitac)(0) + .strKapitolaOd
      lngPosledniRadek = -1 + objPanel.arrBible(lngCitac)(0) + UBound(objPanel.arrBible(lngCitac))
      If lngCitac = 0 + .strKnihaDo Then _
        lngPosledniRadek = -1 + objPanel.arrBible(lngCitac)(0) + .strKapitolaDo
      objZdroj.RecordSet.Move lngPrvniRadek - 1
      objVychozi.RecordSet.Move lngPrvniRadek - 1
      For lngRadek = lngPrvniRadek To lngPosledniRadek
        strKapitola = objVychozi.RecordSet("Column1")
        If strKapitola = "" Then strKapitola = objZdroj.RecordSet("Column1")
        If .strKnihaOd = .strKnihaDo And .strKapitolaOd = .strKapitolaDo Then
          arrKapitola = Split(strKapitola, "#")
          For lngIndex = 0 + .strVersOd To 0 + .strVersDo
            strVerse = strVerse & arrKapitola(lngIndex)
          Next
        ElseIf lngCitac = 0 + .strKnihaOd And lngRadek = lngPrvniRadek Then
          arrKapitola = Split(strKapitola, "#")
          For lngIndex = 0 + .strVersOd To UBound(arrKapitola)
            strVerse = strVerse & arrKapitola(lngIndex)
          Next
        ElseIf lngCitac = 0 + .strKnihaDo And lngRadek = lngPosledniRadek Then
          arrKapitola = Split(strKapitola, "#")
          For lngIndex = 1 To 0 + .strVersDo
            strVerse = strVerse & arrKapitola(lngIndex)
          Next
        End If
        If strVerse <> "" Then
          strKapitola = strVerse
          strVerse = ""
        End If
        strText = strText + strKapitola
        objZdroj.RecordSet.MoveNext
        objVychozi.RecordSet.MoveNext
      Next
      strText = Replace(strText, "#", "")
      If .txtMetoda.Checked = False Then
        Set strSCislo = New RegExp
        strSCislo.Global = True
        strSCislo.Pattern = "(\{[^\}]+\})"
        strText = strSCislo.Replace(strText, "")
        Do While InStr(strText, "  ") > 0
          strText = Replace(strText, "  ", " ")
        Loop
        strText = Replace(strText, "|| ", "||")
        strText = Replace(strText, " ", "")
      End If
      strText = Replace(strText, "||", ". ")
      strText = Replace(strText, "|", strZkratkaKnihy)
      If .txtSoubor.Checked Then
        If .txtProsty.Checked Then
          strText = Replace(strText, "", vbCrLf)
        Else
          strText = Replace(strText, "{", "\super ")
          strText = Replace(strText, "}", "\nosupersub ")
          strText = Replace(strText, "[", "\i ")
          strText = Replace(strText, "]", "\i0 ")
          strText = Replace(strText, "", "\par ")
        End If
        lngDostupneMisto = objFSO.GetDrive(Left(.strCestaSouboru, 2)).FreeSpace
        If lngDostupneMisto >= Len(strText) Then
          Set objOTF = objFSO.OpenTextFile(.strCestaSouboru, 8, True)
          objOTF.Write strText
          objOTF.Close
        Else
          objFSO.DeleteFile strCestaSouboru
          NedostatekMista
          Exit Function
        End If
      Else
        strText = Replace(strText, "<<", "&lt;&lt;")
        strText = Replace(strText, ">>", "&gt;&gt;")
        strText = Replace(strText, "", "<br>")
        If .txtProsty.Checked = False Then
          strText = Replace(strText, "{", "<sup>")
          strText = Replace(strText, "}", "</sup>")
          strText = Replace(strText, "[", "<i>")
          strText = Replace(strText, "]", "</i>")
        End If
        Frames("fraSchranka").Document.Body.InsertAdjacentHTML "BeforeEnd", strText
      End If
      lngCitac = lngCitac + 1
      celGraf.Style.Width = (0 + lngCitac - .strKnihaOd)/(1 + .strKnihaDo - .strKnihaOd) * (divGraf.OffsetWidth - 4)
    End With
    SetTimeOut "Kopirovat", 10
  End Function
  
  Function Ulozit
    With DialogArguments
      If .txtSoubor.Checked Then
        If .txtFormatovany.Checked Then
          If objFSO.GetDrive(Left(strCestaSouboru, 2)).FreeSpace >= 5 Then
            Set objOTF = objFSO.OpenTextFile(strCestaSouboru, 8, True)
            objOTF.Write "\par}"
            objOTF.Close
          End If
        End If
        celPrubeh.InnerHTML = "&nbsp;"
        celGraf.Style.Width = 0
        MsgBox objPanel.popUlozenoDoSouboru & strCestaSouboru, 64, "Info"
      Else
        Frames("fraSchranka").Focus
        Frames("fraSchranka").Document.ExecCommand("SelectAll")
        If .txtSchranka.Checked Then
          Frames("fraSchranka").Document.ExecCommand("Copy")
        Else Frames("fraSchranka").Print
        End If
      End If
    End With
    Close
  End Function
  
  Function NedostatekMista
    celProbiraSe.Style.Color = "buttonface"
    celPrubeh.InnerHTML = "&nbsp;"
    celGraf.Style.Width = 0
    MsgBox objPanel.popNedostatekMista & vbCrLf & objPanel.popSouborNeulozen, vbCritical, objPanel.popChyba
    Close
  End Function
