'<script>
  Option Explicit
  Dim objOkno
  Dim strCislo, strPreklad, strCestaZdroje, strCestaVychozi
  
  Document.Write "<style type='text/css'>"
  With Parent
    If .Name = "" Then
      strCislo = .strCislo
      strPreklad = .cboPreklad.Value
      Set objOkno = .objTop
      Document.Write "body {margin-top: 1px;}"
    Else
      strCislo = .strHeslo
      Select Case .strOknoHesla
      Case "fraPreklad1" strPreklad = .cboPreklad1.Value
      Case "fraPreklad2" strPreklad = .cboPreklad2.Value
      Case "fraVysledky" strPreklad = .strVysledkyPreklad
      End Select
      Set objOkno = Top
      Document.Write "body {margin: 5px 10px; border: 1px solid graytext; background: #ffffcc; overflow: hidden}"
    End If
  End With
  strCestaZdroje = strPreklad & "/" & LCase(Left(strCislo, 1)) & ".htm"
  Document.Write "" & _
    "body {font-weight: bold; font-size:" & objOkno.txtVelikostPismaOkna.Value & "}" & _                  
    "body, u, .panel {font-family:" & objOkno.txtRodinaPismaPanelu.Value & "}" & _
    "p {text-indent: 0; font-weight: normal; font-family:" & objOkno.txtRodinaPismaOkna.Value & "}" & _
    "u {text-decoration: none}" & _
    "b {font-style: italic}" & _
    "</style>"        
  
  Sub Window_Onload
    Dim objPrvek
    Dim strText, strZnak
    Dim lngZacatek, lngPozice, lngCislo
    lngCislo = Right(strCislo, Len(strCislo) - 1) - 1
    objZdroj.RecordSet.Move lngCislo
    strText = objZdroj.RecordSet("Column1")
    strZnak = " ;"
    lngZacatek = 3
    Do
      lngPozice = InStr(lngZacatek, strText, " ")
      If lngPozice = 0 Then Exit Do
      If InStr(strZnak, Mid(strText, (lngPozice - 2), 1)) > 0 Then _
        strText = Left(strText, (lngPozice - 1)) & Replace(strText, " ", "&nbsp;", lngPozice, 1)
      lngZacatek = lngPozice + 1
    Loop
    With Document
      .Body.InnerHTML = strText
      If Parent.Name = "" Then
        For Each objPrvek In .All.Tags("u")
          strText = objPrvek.InnerText
          objPrvek.OuterHTML = "<a class=panel href=vbscript:Parent.Naridit(""" & strText & """)>" & strText & "</a>"
        Next
        .Body.Style.MarginBottom = .Body.ClientHeight - (3 * Parent.lngOkraj)
        With Parent
          If .objPanel.strStrongsCislo <> "" Then
            .Naridit(.objPanel.strStrongsCislo)
            .objPanel.strStrongsCislo = ""
          End If
        End With
      Else
        For Each objPrvek In .Links
          strText = objPrvek.InnerText
          objPrvek.OuterHTML = "" & strText & ""
        Next
        Parent.ZobrazitHeslo .Body.ScrollHeight
      End If
    End With
  End Sub
  
  Sub Window_OnHelp
    Parent.DialogArguments.cmdPruvodce.Click
  End Sub
  
  Function Viz(Kotva)
    DialogArguments.NariditVers(Kotva)
  End Function
