'<script>
  Option Explicit
  Dim objPrvek, objWindow
  Dim strTitul, strCislo
  
  If Top.strTitul = "" Then
    Set objWindow = DialogArguments
    Document.Title = objWindow.pop32
    strTitul = "Mapa"
  Else Set objWindow = Parent
  End If

  Sub Window_OnLoad
    If strTitul = "Mapa" Then
      Dim strA, strB, strC
      NastavitDialog
      Document.Body.Style.MarginTop = "1ex"
      With objPanel
        strCislo = .cboA.Value & "." & .cboB.Value & "." & .cboC.Value & "." & .cboD.Value
      End With
      For Each objPrvek In Document.All.Tags("div")
        With objPrvek
          .Style.Display = "block"
          If .Id = strCislo Then
            .Style.Background = "highlight"
            .Style.Color = "highlighttext"
            .ScrollIntoView
          End If
        End With
      Next
    Else
      Document.Body.Style.MarginLeft = "0"
      strCislo = Parent.objTop.txtPruvodceCislo.Value
      If objTop.txtSvinout.Value = "1" Then
        Svinout(strCislo)
      Else Rozvinout
      End If
      Parent.strNezapisovat = "1"
      Naridit
    End If
  End Sub
  
  Sub Window_OnBeforeUnload
    With objTop
      If strTitul = "Mapa" Then
        .txtMapaTop.Value = Window.ScreenTop - lngOkrajTop
        .txtMapaLeft.Value = Window.ScreenLeft - lngOkrajLeft
      End If
    End With
  End Sub
  
  Sub Window_OnResize
    If strTitul = "Mapa" Then
      ZmenitPrazdny
    ElseIf objTop.txtSvinout.Value = "" Then
      ZmenitPrazdny
    End If
  End Sub
  
  Sub Document_OnClick
    With Window.Event.SrcElement
      If .TagName = "DIV" Then
        If strTitul = "Mapa" Then
          Dim arrRetezec
          arrRetezec = Split(.Id, ".")
          With DialogArguments
            .cboA.Value = arrRetezec(0)
            .VybratA
            .cboB.Value = arrRetezec(1)
            .VybratB
            .cboC.Value = arrRetezec(2)
            .VybratC
            .cboD.Value = arrRetezec(3)
            .VybratD
          End With
          Window.Close
        Else
          If Window.Event.SrcElement.Style.Background <> "highlight" Then
            For Each objPrvek In Document.All.Tags("div")
              With objPrvek
                .Style.Background = ""
                .Style.Color = ""
              End With
            Next
            .Style.Background = "highlight"
            .Style.Color = "highlighttext"
            If objTop.txtSvinout.Value = "1" Then Svinout(.Id)
            Parent.objTop.txtPruvodceCislo.Value = .Id
            Parent.Navigovat
          End If
        End If
      End If
    End With
  End Sub
  
  Function Naridit
    For Each objPrvek In Document.All.Tags("div")
      If objPrvek.Id = strCislo Then
        objPrvek.ScrollIntoView
        objPrvek.Click
        Exit For
      End If
    Next
  End Function

  Function Svinout(Kotva)
    Dim arrKotva, arrId
    arrKotva = Split(Kotva, ".")
    For Each objPrvek In Document.All.Tags("div")
      arrId = Split(objPrvek.Id, ".")
      If arrId(1) = 0 Then objPrvek.Style.Display = "block"
      If arrKotva(1) = 0 Then
        If arrKotva(0) = arrId(0) And arrId(2) = 0 Then
          objPrvek.Style.Display = "block"
        Else
          If arrId(1) <> 0 Then objPrvek.Style.Display = "none"
        End If
      ElseIf arrKotva(2) = 0 Then
        If arrKotva(0) = arrId(0) And (arrId(2) = 0 Or (arrKotva(1) = arrId(1) And arrId(3) = 0)) Then
          objPrvek.Style.Display = "block"
        Else
          If arrId(1) <> 0 Then objPrvek.Style.Display = "none"
        End If
      Else
        If arrKotva(0) = arrId(0) And (arrId(2) = 0 Or (arrKotva(1) = arrId(1) And (arrId(3) = 0 Or (arrKotva(2) = arrId(2))))) Then
          objPrvek.Style.Display = "block"
        Else
          If arrId(1) <> 0 Then objPrvek.Style.Display = "none"
        End If
      End If
    Next
    Document.Body.Style.MarginBottom = 0
  End Function

  Function Rozvinout
    For Each objPrvek In Document.All.Tags("div")
      With objPrvek
        .Style.Display = "block"
        If .Id = Parent.strCislo Then .ScrollIntoView
      End With
    Next
    ZmenitPrazdny
  End Function

  Function ZmenitPrazdny
    Document.Body.Style.MarginBottom = Document.Body.ClientHeight - (3 * lngOkraj)
  End Function
