'<script>
  Option Explicit
  Dim objHistorieZpet, objHistorieVpred
  Dim strNezapisovat, strCislo

  Sub cboKnihaOd_OnChange
    cboKnihaOd.Blur
    If 0 + cboKnihaOd.Value > 0 + cboKnihaDo.Value Then _
      cboKnihaDo.Value = cboKnihaOd.Value
  End Sub
  
  Sub cboKnihaDo_OnChange
    cboKnihaDo.Blur
    If 0 + cboKnihaDo.Value < 0 + cboKnihaOd.Value Then _
      cboKnihaOd.Value = cboKnihaDo.Value
  End Sub
  
  Sub cmdZkopirovat_OnClick
    If cmdZkopirovat.Style.Color <> "buttonface" Then 
      txtHledatCo.Focus
      txtHledatCo.Value = txtHledatCo.Value & " " & txtNavigovat.Value
    End If
  End Sub
  
  Sub txtHledatCo_OnKeyPress
    If Window.Event.KeyCode = 13 Then
      cmdVyhledat.Click
    Else If strTitul = "Strongs" Then Testovat
    End If
  End Sub
      
  Sub cmdHistorie_OnClick
    Dim objHistorie, strRetezec
    With Document.All.fraHistorie
      If .Style.Display = "none" Or .Style.Display = "" Then
        .Style.Display = "block"
        .Style.Width = cmdHistorie.ParentElement.OffsetWidth
        .Style.Height = (txtHledatCo.OffsetHeight - 4) * 9
        .Style.Top = cmdHistorie.OffsetTop - .OffsetHeight - 2
        .Style.Left = cmdHistorie.OffsetLeft
        Select Case strTitul
        Case "Konkordance"
          Set objHistorie = objTop.txtKonkordanceHistorie
        Case "Strongs"
          Set objHistorie = objTop.txtStrongsHistorie
        Case "Prohledavac"
          Set objHistorie = objTop.txtProhledavacHistorie
        End Select
        With Frames("fraHistorie").Document.Body
          .InnerHTML = ""
          .Style.FontSize = objTop.txtVelikostPismaPanelu.Value
          .Style.FontFamily = objTop.txtRodinaPismaPanelu.Value
          If objHistorie.Value <> "" Then
            strRetezec = objHistorie.Value
            strRetezec = Replace(strRetezec, "|", "<div nowrap>", 1, 1)
            strRetezec = Replace(strRetezec, "|", "</div><div nowrap>")
            .InnerHTML = strRetezec & "</div>"
            With .All.Tags("div")(.All.Tags("div").Length - 1)
              .Style.Background = "highlight"
              .Style.Color = "highlighttext"
              .ScrollIntoView
            End With
          End If
        End With
      Else .Style.Display = "none"
      End If
    End With
  End Sub
  
  Sub cmdZpet_OnClick
    Dim strPosledniCislo
    If cmdZpet.Style.Color <> "buttonface" Then
      PriraditPromenne
      strPosledniCislo = Right(objHistorieZpet.Value, Len(objHistorieZpet.Value) - InStrRev(objHistorieZpet.Value, "|"))
      objHistorieZpet.Value = Left(objHistorieZpet.Value, InStrRev(objHistorieZpet.Value, "|") - 1)
      strNezapisovat = "1"
      If objHistorieZpet.Value = "" Then cmdZpet.Style.Color = "buttonface"
      cmdVpred.Style.Color = "buttontext"
      objHistorieVpred.Value = strCislo & "|" & objHistorieVpred.Value
      strCislo = strPosledniCislo
      Naridit(strCislo)
    End If
  End Sub
  
  Sub cmdVpred_OnClick
    Dim strPrvniCislo
    If cmdVpred.Style.Color <> "buttonface" Then
      PriraditPromenne
      strPrvniCislo = Left(objHistorieVpred.Value, InStr(objHistorieVpred.Value, "|") - 1)
      objHistorieVpred.Value = Right(objHistorieVpred.Value, Len(objHistorieVpred.Value) - InStr(objHistorieVpred.Value, "|"))
      strNezapisovat = "1"
      If objHistorieVpred.Value = "" Then cmdVpred.Style.Color = "buttonface"
      cmdZpet.Style.Color = "buttontext"
      objHistorieZpet.Value = objHistorieZpet.Value & "|" & strCislo
      strCislo = strPrvniCislo
      Naridit(strCislo)
    End If
  End Sub
  
  Function ZapsatDoHistorieNavigace
    If strCislo <> "" Then
      PriraditPromenne
      cmdZpet.Style.Color = "buttontext"
      objHistorieZpet.Value = objHistorieZpet.Value & "|" & strCislo
      NastavitMax
      objHistorieVpred.Value = ""
      cmdVpred.Style.Color = "buttonface"
    End If
  End Function
      
  Function PriraditPromenne
    With objTop
      Select Case strTitul
      Case "Strongs"
        Set objHistorieZpet = .txtStrongsZpet
        Set objHistorieVpred = .txtStrongsVpred
      Case "Pruvodce"
        Set objHistorieZpet = .txtPruvodceZpet
        Set objHistorieVpred = .txtPruvodceVpred
      End Select
    End With
  End Function
  
  Function ZapsatDoHistorieHledani
    Dim strRetezec
    With objTop
      Select Case strTitul
      Case "Konkordance" Set objHistorieZpet = .txtKonkordanceHistorie
      Case "Strongs" Set objHistorieZpet = .txtStrongsHistorie
      Case "Prohledavac" Set objHistorieZpet = .txtProhledavacHistorie
      End Select
    End With
    strRetezec = "|" & txtHledatCo.Value & "|"
    objHistorieZpet.Value = objHistorieZpet.Value & "|"
    If InStr(objHistorieZpet.Value, strRetezec) Then objHistorieZpet.Value = Replace(objHistorieZpet.Value, strRetezec, "|")
    objHistorieZpet.Value = objHistorieZpet.Value & txtHledatCo.Value
    NastavitMax
  End Function
  
  Function NastavitMax
    Dim lngStart, lngPocet
    lngStart = 1
    lngPocet = 0
    Do While InStr(lngStart, objHistorieZpet.Value, "|") > 0
      lngPocet = lngPocet + 1
      lngStart = InStr(lngStart, objHistorieZpet.Value, "|") + 1
    Loop
    Do While lngPocet > 0 + objTop.txtMax.Value
      lngPocet = lngPocet - 1
      objHistorieZpet.Value = Right(objHistorieZpet.Value, Len(objHistorieZpet.Value) - InStr(2, objHistorieZpet.Value, "|") + 1)
    Loop
  End Function
  
  Function NastavitPopisky
    If objTop.txtBezPopisku.Value = "" Then
      cmdZkopirovat.Title = objPanel.popZkopirovat
    Else cmdZkopirovat.Title = ""
    End If
  End Function
  
