'<script>
  Option Explicit
  Dim strCestaZdroje, strCestaVychozi, strCisloDokumentu
  
  strCestaZdroje = "0/" & Parent.objTop.txtJazyk.Value & ".htm"
  With Parent.objTop
    Document.Write _
      "<style type='text/css'>" & _
      "body,td{font-family:" & .txtRodinaPismaOkna.Value & "}" & _
      "body,td,input,select,button{font-size:" & .txtVelikostPismaOkna.Value & "}" & _
      "input,select,button,.panel,.A,.B,.C,.D{font-family:" & .txtRodinaPismaPanelu.Value & "}" & _
      ".A{color:" & .txtBarvaA.Value & "}" & _
      ".B{color:" & .txtBarvaB.Value & "}" & _
      ".C{color:" & .txtBarvaC.Value & "}" & _
      ".D{color:" & .txtBarvaD.Value & "}" & _
      ".Z{color:" & .txtBarvaZ.Value & "}" & _
      ".button{border: 2px outset; padding: 1px 3px}" & _
      ".historie{padding: 1px 7px 1px 1px}" & _
      ".status{padding: 2px 7px}" & _
      "</style>"
  End With
  
  Sub Window_OnLoad
    Dim arrCislo
    Dim strOdstavec, strDokument, strZnak, strNadpis
    Dim lngIndex, lngZacatek, lngPozice
    strCisloDokumentu = "--" & Parent.strCislo & "--"
    Do
      If InStr(objZdroj.RecordSet("Column1"), strCisloDokumentu) > 0 Then Exit Do
      objZdroj.RecordSet.MoveNext
    Loop
    Do While objZdroj.RecordSet.AbsolutePosition < objZdroj.RecordSet.RecordCount
      objZdroj.RecordSet.MoveNext
      strOdstavec = Trim(objZdroj.RecordSet("Column1"))
      If InStr(strOdstavec, "!--") > 0 Then Exit Do
      strZnak = " ;"
      lngZacatek = 3
      Do
        lngPozice = InStr(lngZacatek, strOdstavec, " ")
        If lngPozice = 0 Then Exit Do
        If InStr(strZnak, Mid(strOdstavec, (lngPozice - 2), 1)) > 0 Then _
          strOdstavec = Left(strOdstavec, (lngPozice - 1)) & Replace(strOdstavec, " ", "&nbsp;", lngPozice, 1)
        lngZacatek = lngPozice + 1
      Loop
      strOdstavec = "<a name='odst" & objZdroj.RecordSet.AbsolutePosition & "'></a>" & strOdstavec
      strDokument = strDokument & strOdstavec
    Loop
    Document.Body.InnerHTML = strDokument
    strCisloDokumentu = Parent.strCislo
    Select Case strCisloDokumentu
    Case "1.0.0.0"
      spnVerze.InnerText = Top.objPanel.strCisloVerze
    Case "1.4.0.0"
      With Parent.objTop
        Select Case .txtJazyk.Value
        Case "cz" spnPotvrdit.InnerHTML = "tlatkem <span class='panel tucne'>Potvrdit</span> nebo tlatkem <span class=panel>Potvrdit a uloit stav,</span> viz nsledujc poloku <span class=panel>Ukldn.</span> "
        Case "sk" spnPotvrdit.InnerHTML = "tlaidlom <span class='panel tucne'>Potvrdi</span> alebo tlaidlom <span class=panel>Potvrdi a uloi stav,</span> pozri nasledujcu poloku <span class=panel>Ukladanie.</span> "
        Case "en" spnPotvrdit.InnerHTML = "by the <span class='panel tucne'>Confirm</span> button or by the button <span class=panel>Confirm and save the status,</span> see the next item <span class=panel>Saving.</span> "
        End Select
      End With
    Case "2.1.1.0"
      cmdCislo.Title = Parent.objPanel.popOznacitOkno
    Case "2.1.3.0"
      PrepnoutPreklad
    Case "2.3.1.1"
      PrepnoutPreklad
    Case "2.3.3.1"
      cboVysledkyObsah.Value = "0"
      ZobrazitVysledkyHledani
    Case "2.3.3.7"
      With Parent.objPanel
        optVysledkyKonkordance.InnerText = " " & .pop23 & "  " & LCase(.pop233)
        optVysledkyStrongs.InnerText = " " & .pop24 & "  " & LCase(.pop233)
        optVysledkyProhledavac.InnerText = " " & .pop33 & "  " & LCase(.pop233)
      End With
      NastavitVysledkyHledani
    Case "2.4.2.2"  
      cmdPrekladVzad.Style.Color = "buttonface"
      cmdPrekladVpred.Style.Color = "buttonface"
    Case "2.4.4.1"
      cboVysledkyObsah.Value = "0"
      ZobrazitVysledkyHledani
    Case "2.4.4.8"
      With Parent.objPanel
        optVysledkyKonkordance.InnerText = " " & .pop23 & "  " & LCase(.pop233)
        optVysledkyStrongs.InnerText = " " & .pop24 & "  " & LCase(.pop233)
        optVysledkyProhledavac.InnerText = " " & .pop33 & "  " & LCase(.pop233)
      End With    
      NastavitVysledkyHledani
    Case "2.5.1.1"  
      PrepnoutPreklad
    Case "3.3.3.1"
      cboVysledkyObsah.Value = "0"
      ZobrazitVysledkyHledani
    Case "3.3.3.6"
      With Parent.objPanel
        optVysledkyKonkordance.InnerText = " " & .pop23 & "  " & LCase(.pop233)
        optVysledkyStrongs.InnerText = " " & .pop24 & "  " & LCase(.pop233)
        optVysledkyProhledavac.InnerText = " " & .pop33 & "  " & LCase(.pop233)
      End With    
      NastavitVysledkyHledani
    End Select
    arrCislo = Split(strCisloDokumentu, ".")
    strNadpis = Parent.objMenu(arrCislo(0))
    If arrCislo(1) <> "0" Then strNadpis = strNadpis & "  " & Parent.objMenu(arrCislo(0) & "." & arrCislo(1))
    If arrCislo(2) <> "0" Then strNadpis = strNadpis & "  " & Parent.objMenu(arrCislo(0) & "." & arrCislo(1) & "." & arrCislo(2))
    If arrCislo(3) <> "0" Then strNadpis = strNadpis & "  " & Parent.objMenu(arrCislo(0) & "." & arrCislo(1) & "." & arrCislo(2) & "." & arrCislo(3))
    Document.Body.InsertAdjacentHTML "AfterBegin", "<table cellpadding=0 cellspacing=0><tr><td id=celNadpis class='panel tucne' style='padding: 1ex 0'>" & strNadpis & "</td></tr></table>"
    Document.Body.Style.MarginBottom = Document.Body.ClientHeight - (3 * Parent.lngOkraj)
    Parent.Document.All.spnStit.Style.Visibility = "visible"
    Self.Focus
  End Sub
  
  Sub Window_OnHelp
    Parent.DialogArguments.cmdPruvodce.Click
  End Sub
  
  Sub Document_OnClick
    If Window.Event.SrcElement.TagName = "BUTTON" Then Window.Event.SrcElement.Blur
  End Sub
  
  Sub Document_OnKeyPress
    If Window.Event.KeyCode = 27 Then Top.Close
  End Sub
  
  Sub Document_OnMouseDown
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        .Style.Border = "2px inset"
        .Style.Padding = "2px 2px 0 4px"
      End If
    End With
  End Sub
  
  Sub Document_OnMouseUp
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        .Style.Border = "2px outset"
        .Style.Padding = "1px 3px"
      End If
    End With
  End Sub
  
  Sub Document_OnMouseOut
    With Window.Event.SrcElement
      If InStr(.ClassName, "button") > 0 Then
        .Style.Border = "2px outset"
        .Style.Padding = "1px 3px"
      End If
    End With
  End Sub

  Sub cmdCislo_OnClick
    If cmdCislo.Style.BorderStyle = "outset" Then
      cmdCislo.Style.Border = "2px inset"
      cmdCislo.Style.Padding = "2px 2px 0 4px"
      cmdCislo.Title = Parent.objPanel.popZrusitOznaceni
    Else
      cmdCislo.Style.Border = "2px outset"
      cmdCislo.Style.Padding = "1px 3px"
      cmdCislo.Title = Parent.objPanel.popOznacitOkno
    End If
  End Sub
  
  Sub cmdPrekladVzad_OnClick
    If Parent.strCislo <> "2.4.1.1" Then
      Select Case cboPreklad.Value
      Case "1" cboPreklad.Value = "4"
      Case "2" cboPreklad.Value = "1"
      Case "3" cboPreklad.Value = "2"
      Case "4" cboPreklad.Value = "3"
      End Select
      PrepnoutPreklad
    End If
  End Sub
  
  Sub cmdPrekladVpred_OnClick
    If Parent.strCislo <> "2.4.1.1" Then
      Select Case cboPreklad.Value
      Case "1" cboPreklad.Value = "2"
      Case "2" cboPreklad.Value = "3"
      Case "3" cboPreklad.Value = "4"
      Case "4" cboPreklad.Value = "1"
      End Select
      PrepnoutPreklad
    End If
  End Sub
  
  Sub HistorieOver
    cmdHistorie.Style.Border = "1px outset"
    cmdHistorie.Style.Padding = "0 6px 0 0"
  End Sub
  
  Sub HistorieDown
    cmdHistorie.Style.Border = "1px inset"
    cmdHistorie.Style.Padding = "1px 5px 0 1px"
  End Sub
  
  Sub HistorieUp
    cmdHistorie.Style.Border = "1px outset"
    cmdHistorie.Style.Padding = "0 6px 0 0"
  End Sub
  
  Sub HistorieOut
    cmdHistorie.Style.Border = "0"
    cmdHistorie.Style.Padding = "1px 7px 1px 1px"
  End Sub
  
  Sub MouseOver
    With Window.Event.SrcElement
      If Left(.Id, 3) <> "img" Then
        .Style.Border = "1px outset"
        If .Id = "cmdHistorie" Then
          .Style.Padding = "0 6px 0 0"
        Else
          .Style.Padding = "1px 6px"
        End If
      End If
    End With
  End Sub
  
  Sub MouseDown
    With Window.Event.SrcElement
      If Left(.Id, 3) <> "img" Then
        .Style.Border = "1px inset"
        If .Id = "cmdHistorie" Then
          .Style.Padding = "1px 5px 0 1px"
        Else
          .Style.Padding = "2px 5px 0 7px"
        End If
      End If
    End With
  End Sub
  
  Sub MouseUp
    With Window.Event.SrcElement
      If Left(.Id, 3) <> "img" Then
        .Style.Border = "1px outset"
        If .Id = "cmdHistorie" Then
          .Style.Padding = "0 6px 0 0"
        Else
          .Style.Padding = "1px 6px"
        End If
      End If
    End With
  End Sub
  
  Sub MouseOut
    With Window.Event.SrcElement
      If Left(.Id, 3) <> "img" Then
        .Style.Border = "0"
        If .Id = "cmdHistorie" Then
          .Style.Padding = "1px 7px 1px 1px"
        Else
          .Style.Padding = "2px 7px"
        End If
      End If
    End With
  End Sub
  
  Sub cmdVysledkyObsahVzad_OnClick
    If cboVysledkyObsah.Value <> "0" Then
      cboVysledkyObsah.Value = cboVysledkyObsah.Value - 1
      ZobrazitVysledkyHledani
    End If
  End Sub
  
  Sub cmdVysledkyObsahVpred_OnClick
    If cboVysledkyObsah.Value + 0 <> cboVysledkyObsah.Length - 1 Then
      cboVysledkyObsah.Value = cboVysledkyObsah.Value + 1
      ZobrazitVysledkyHledani
    End If
  End Sub
  
  Sub cmdVysledkyTitulVzad_OnClick
    Select Case cboVysledkyTitul.Value
    Case "konkordance" cboVysledkyTitul.Value = "prohledavac"
    Case "strongs" cboVysledkyTitul.Value = "konkordance"
    Case "prohledavac" cboVysledkyTitul.Value = "strongs"
    End Select
    NastavitVysledkyHledani
  End Sub
  
  Sub cmdVysledkyTitulVpred_OnClick
    Select Case cboVysledkyTitul.Value
    Case "konkordance" cboVysledkyTitul.Value = "strongs"
    Case "strongs" cboVysledkyTitul.Value = "prohledavac"
    Case "prohledavac" cboVysledkyTitul.Value = "konkordance"
    End Select
    NastavitVysledkyHledani
  End Sub
  
  Function NastavitVysledkyHledani
    Select Case cboVysledkyTitul.Value
    Case "konkordance"
      cmdVysledkyTitulVzad.Title = cboVysledkyTitul.Options(2).Text
      cmdVysledkyTitulVpred.Title = cboVysledkyTitul.Options(1).Text
    Case "strongs"
      cmdVysledkyTitulVzad.Title = cboVysledkyTitul.Options(0).Text
       cmdVysledkyTitulVpred.Title = cboVysledkyTitul.Options(2).Text
    Case "prohledavac"
      cmdVysledkyTitulVzad.Title = cboVysledkyTitul.Options(1).Text
       cmdVysledkyTitulVpred.Title = cboVysledkyTitul.Options(0).Text
    End Select
  End Function
  
  Function ZobrazitVysledkyHledani
    If cboVysledkyObsah.Value <> "0" Then
      cmdVysledkyObsahVzad.Style.Color = "buttontext"
      cmdVysledkyObsahVzad.Title = cboVysledkyObsah.Options(cboVysledkyObsah.Value - 1).Text
    Else
      cmdVysledkyObsahVzad.Style.Color = "buttonface"
      cmdVysledkyObsahVzad.Title = ""
    End If
    If cboVysledkyObsah.Value + 0 <> cboVysledkyObsah.Length - 1 Then
      cmdVysledkyObsahVpred.Style.Color = "buttontext"
      cmdVysledkyObsahVpred.Title = cboVysledkyObsah.Options(cboVysledkyObsah.Value + 1).Text
    Else
      cmdVysledkyObsahVpred.Style.Color = "buttonface"
      cmdVysledkyObsahVpred.Title = ""
    End If
  End Function
  
  Function PrepnoutPreklad
    Select Case cboPreklad.Value
    Case "1"
      cmdPrekladVzad.Title = cboPreklad.Options(3).Text
      cmdPrekladVpred.Title = cboPreklad.Options(1).Text
    Case "2"
      cmdPrekladVzad.Title = cboPreklad.Options(0).Text
      cmdPrekladVpred.Title = cboPreklad.Options(2).Text
    Case "3"
      cmdPrekladVzad.Title = cboPreklad.Options(1).Text
      cmdPrekladVpred.Title = cboPreklad.Options(3).Text
    Case "4"
      cmdPrekladVzad.Title = cboPreklad.Options(2).Text
      cmdPrekladVpred.Title = cboPreklad.Options(0).Text
    End Select
  End Function
  
  Function Viz(Kotva)
    Parent.Naridit(Kotva)
  End Function
