'<script>
  Option Explicit
  Dim objFSO
  Dim strAdresar, strTitul
  strTitul = "Soubor"
  Set objFSO = CreateObject("Scripting.FileSystemObject")
  
  Sub Window_OnLoad
    Dim strSlozka, strTyp
    With objPanel
      If DialogArguments.txtProsty.Checked Then
        Document.Title = .popUlozitDo
        divTyp.InnerText = ".txt"
        strTyp = "TXT"
      Else
        Document.Title = .popUlozitDo
        divTyp.InnerText = ".rtf"
        strTyp = "RTF"
      End If
      celAdresar.InnerText = .popDoAdresare
      celSoubory.InnerText = strTyp & .popSoubory
      celNazevSouboru.InnerText = .popNazevSouboru
      cmdUlozit.InnerText = .popPotvrdit
      cmdZavrit.InnerText = .popStorno
    End With
    NastavitMezeru
    divSoubory.Style.Height = 7 * celAdresar.OffsetHeight
    divTyp.Style.Height = txtNazevSouboru.OffsetHeight
    divTyp.Style.MarginRight = lngOkraj
    If cmdZavrit.OffsetWidth < cmdUlozit.OffsetWidth Then
      cmdZavrit.Style.Width = cmdUlozit.OffsetWidth
    Else cmdUlozit.Style.Width = cmdZavrit.OffsetWidth
    End If
    cmdZavrit.Style.Height = cmdUlozit.OffsetHeight
    cboAdresar.Style.Width = cboAdresar.ParentElement.OffsetWidth
    divSoubory.Style.Width = cboAdresar.OffsetWidth
    strSlozka = "\bsStore"
    cboAdresar.Options(0).Text = "C:" & strSlozka
    cboAdresar.Options(1).Text = Left(objFSO.GetAbsolutePathName(""), 2) & strSlozka
    cboAdresar.Value = objTop.txtAdresar.Value
    txtNazevSouboru.Value = objTop.txtNazevSouboru.Value
    VybratAdresar
    NastavitDialog
  End Sub
  
  Sub Window_OnBeforeUnload
    objTop.txtAdresar.Value = cboAdresar.Value
    objTop.txtNazevSouboru.Value = txtNazevSouboru.Value
  End Sub
  
  Sub Document_OnClick
    With Window.Event.SrcElement
      If .ClassName = "radek" Then
        txtNazevSouboru.Value = Left(.InnerText, Len(.InnerText) - 4)
        cmdUlozit.Click
      End If        
    End With
  End Sub
  
  Function VybratAdresar
    Dim objPrvek, objAdresar
    divSoubory.InnerHTML = ""
    strAdresar = cboAdresar.Options(0 + cboAdresar.Value).Text
    If objFSO.FolderExists(Left(strAdresar, 3)) Then
      If objFSO.FolderExists(strAdresar) Then
        Set objAdresar = objFSO.GetFolder(strAdresar)
        For Each objPrvek In objAdresar.Files
          If LCase(Right(objPrvek.Name, 4)) = divTyp.InnerText Then
            divSoubory.InsertAdjacentHTML "BeforeEnd", "<div class=radek>" & objPrvek.Name & "</div>"
            divSoubory.Focus
          End If                
        Next
      End If
    Else
      MsgBox objPanel.popJednotka & Left(strAdresar, 2) & objPanel.popNeniPripravena, vbCritical, objPanel.popChyba
    End If
    txtNazevSouboru.Focus
  End Function
  
  Sub cboAdresar_OnChange
    VybratAdresar
  End Sub
  
  Sub txtNazevSouboru_OnKeyPress
    If Window.Event.KeyCode = 13 Then cmdUlozit.Click
  End Sub
  
  Sub cmdUlozit_OnClick
    Dim objPrvek, objAdresar
    Dim strRetezec, strNazevSouboru, strCestaSouboru
    Dim lngIndex
    txtNazevSouboru.Focus
    strNazevSouboru = Trim(txtNazevSouboru.Value)
    If strNazevSouboru = "" Then
      MsgBox objPanel.popNeniNazev, vbCritical, objPanel.popChyba
      txtNazevSouboru.Value = ""
      Exit Sub
    End If
    Set strRetezec = New RegExp
    strRetezec.Global = True
    strRetezec.Pattern = "[^" & objTop.strDiakritika & "\w]"
    With objPanel
      If strRetezec.Test(strNazevSouboru) = True Then
        MsgBox .popNeplatnyNazev & vbCrLf & .popVNazvuPovoleny, vbCritical, .popChyba
        Exit Sub
      End If
      strNazevSouboru = strNazevSouboru & divTyp.InnerText
      If Not objFSO.FolderExists(Left(strAdresar, 3)) Then
        MsgBox .popJednotka & Left(strAdresar, 2) & .popNeniPripravena, vbCritical, .popChyba
        Exit Sub
      End If
      If objFSO.FolderExists(strAdresar) Then
        Set objAdresar = objFSO.GetFolder(strAdresar)
        For Each objPrvek In objAdresar.Files
          If LCase(objPrvek.Name) = LCase(strNazevSouboru) Then
            lngIndex = MsgBox(.popSoubor & Chr(34) & strNazevSouboru & Chr(34) & .popJizExistuje & vbCr & .popChcetePrepsat, vbYesNo + vbExclamation, .popNazevSouboru)
            If lngIndex = 7 Then
              txtNazevSouboru.Value = ""
              Exit Sub
            End If
            Exit For
          End If
        Next
      Else
        On Error Resume Next
        objFSO.CreateFolder(strAdresar)
        If Err.Number = 70 Or Err.Number = -2147023661 Then
          MsgBox .popJednotka & Left(strAdresar, 2) & .popJeChranena, vbCritical, .popChyba
          Exit Sub
        End If
      End If
      strCestaSouboru = strAdresar & "\" & strNazevSouboru
      On Error Resume Next
      objFSO.CreateTextFile strCestaSouboru, True
      If Err.Number = 70 Or Err.Number = -2147023661 Then
        MsgBox .popJednotka & Left(strAdresar, 2) & .popJeChranena, vbCritical, .popChyba
        Exit Sub
      End If
      DialogArguments.strCestaSouboru = strCestaSouboru
      Close
    End With
  End Sub
